Ubuntu

Clicking on floppy gives "no device media found"

Reported by Antec on 2009-10-03
584
This bug affects 124 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
gvfs
Unknown
Medium
obsolete
Fix Released
Medium
udev
Invalid
Undecided
Unassigned
udisks
Invalid
Medium
devicekit-disks (Ubuntu)
Medium
Unassigned
Nominated for Maverick by Chris Parker
Karmic
Medium
Ben Clevers
Lucid
Medium
Unassigned
linux (Ubuntu)
Medium
Andy Whitcroft
Nominated for Maverick by Chris Parker
Karmic
Undecided
Unassigned
Lucid
Medium
Andy Whitcroft
udisks (Arch Linux)
New
Undecided
Unassigned
udisks (Debian)
Confirmed
Unknown
udisks (Ubuntu)
High
Unassigned
Nominated for Maverick by Chris Parker
Karmic
High
Unassigned
Lucid
High
Unassigned

Bug Description

In Karmic GNOME, floppies are detected correctly by linux, udev, devkit-disks, and gvfs. However, when clicking on the floppy icon in GNOME, you get a "no medium found" error.

Remote reproducer: gvfs-mount -li

 - When you just start that with no other processes running, you get a correct "volume" for /dev/fd0 ("floppy0").
 - When you start it through dbus-launch, you get a floppy0 "drive" instead, and no volume

Related branches

Antec (info-janmob) wrote :

In bug 23309 we disabled partition table probing for floppy devices.

Unfortunately, the partition table prober is also used for determining if media is inserted by setting DKD_MEDIA_AVAILABLE.

So media detection on floppies is now broken.

We should move that detection elsewhere.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

Hello, was it working in Jaunty?

FGTR4738 (knyuf56) wrote :

Yes, for me it was working perfectly in Jaunty. On the systems here as soon as I upgraded to Karmic it no longer worked from the pull down menus "Places." We're simply working around it by /media$ mount floppy

Sergio Zanchetta (primes2h) wrote :

== Regression details ==
Discovered in version: Karmic Koala 9.10
Last known good version: Jaunty Jackalope 9.04

tags: added: regression-release

Having the same problem in Kubuntu 9.10. 64-bit. Tried to format with Kfloppy 4.3.0, KDE 4.3.3, but I the message "Internal error: device not correctly defined".

wraithmonk wrote:
> Having the same problem in Kubuntu 9.10. 64-bit. Tried to format with
> Kfloppy 4.3.0, KDE 4.3.3, but I the message "Internal error: device not
> correctly defined".
>
>
I fwd this to Sergio, one of the experts at Ubuntu bugs who is working a
solution to this problem as while it is in two distros, I think it is
the same basic problem, and oversight on IDE or internal floppy perhaps
brought about by usb external floppies and many of he new small netbooks
not having a floppy..... That would be a guess on part...

I can reproduce the bug in 9.10 with a fresh install AMD 64bit and also on another system 32bit after upgrading from 9.04. In both cases this is with an internal 3.5in 1.44 floppy formatted MS-DOS

One can mount the floppy by using the command:
sudo mount /dev/fd0 /media/floppy0 -o umask=000

I also tried changing the floppy line in /etc/fstab to:
/dev/fd0 /media/floppy0 vfat defaults,users,noauto,umask=000 0 2
and it was no help. This is the same as for a working 9.04 system

Antec (info-janmob) wrote :

I wonder if grub2 boot-reloader miss floppy module in the right way already on boot? And i don't see the floppy at all in /etc/fstab or /etc/mtab, but the green diod on yhe floppy blink when the computer boot.

Antec wrote:
> I wonder if grub2 boot-reloader miss floppy module in the right way
> already on boot? And i don't see the floppy at all in /etc/fstab or
> /etc/mtab, but the green diod on yhe floppy blink when the computer
> boot.
>
>
I don't know what the developers did on this one. I sent in the bug
report. From what I can tell they just left out the software that makes
a internal floppy work. Someone at Ubuntu wrote: that internal floppy's
are "rare" clearly they must having been thinking 10" notebook and USB
and not about the hundreds of millions of computers that still have and
use a floppy. Even if the "floppy" is added into fstab and modules it
still does not work. The expert at first started out on it, but I think
he gave up, and for us we are not going to upgrade to 9.10 and will keep
using 8.10 and 9.04. (*8.10 works really good and has been flawless)
Hopefully they will put in a fix that will go in an update. I kind of
get the feeling that the reason that 9.10 boots so fast is because it is
not really doing a proper look to see what "plug and play" is in the
system but that is just a guess, one thing for sure they did cut a
corner and that was a floppy. It could be related to IDE but they will
have to figure it out. Everytime I send in another bug on it I get a
letter back about no new bugs so for now I just kind of gave up, as only
one of our computers have the problem with 9.10 the others with 8.04 all
work fine. I guess a lot of people will be changing back to 9.04 or
8.10 if they don't fix it. Millions of people still use floppy.

The company i work on have 103 Ubuntu computers and 80 of them are Ubuntu 8.04 LTS the rest is 9.04. We have four to test the new Ubuntu 9.10. If the 9.10 not work properly can we not upgrade any more computers and we must wait and look on next LTS version and test them very hard. OpenSUSE 11,2 have also problems with floppydrive there not working ether .

This code is working like Francisco Canabas wrote but a new floppy module is started between the standard floppy module? In case no other alternative are availability.

sudo mount /dev/fd0 /media/floppy0 -o umask=000

Sergio Zanchetta (primes2h) wrote :

Giving
gvfs-mount -d /dev/fd0

Sergio Zanchetta (primes2h) wrote :

Giving
sudo gvfs-mount -d /dev/fd0

Sergio Zanchetta (primes2h) wrote :

ls -l /dev/fd0

Sergio Zanchetta (primes2h) wrote :

dmesg (after mounting with 'sudo gvfs-mount etc.')

Sergio Zanchetta (primes2h) wrote :

udev log

Andy Whitcroft (apw) wrote :

As the device is seen by udev and correctly created during the early boot it does not seem to be a bug in the kernel. It may be a permissions issue with the fd drive device as made by udev, or alternatively an issue at a higher level:

  KERNEL[1258912797.217841] add /devices/platform/floppy.0/block/fd0 (block)
  UDEV_LOG=3
  ACTION=add
  DEVPATH=/devices/platform/floppy.0/block/fd0
  SUBSYSTEM=block
  DEVNAME=fd0
  DEVTYPE=disk
  SEQNUM=1006
  MAJOR=2
  MINOR=0

Will add tasks for those levels for confirmation.

Andy Whitcroft (apw) wrote :

The device seems to be being detected correctly and udev informed as we do get a /dev/fd0. So it seems either the device does not have appropriate permissions, or the notification not being passed on to higher layers, or indeed those layers may not be taking appropriate action. Therefore adding tasks for udev and for gvfs to see if they can detemine why. Logs are below for the udev components.

Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
status: Triaged → Invalid

Antec wrote:
> The company i work on have 103 Ubuntu computers and 80 of them are
> Ubuntu 8.04 LTS the rest is 9.04. We have four to test the new Ubuntu
> 9.10. If the 9.10 not work properly can we not upgrade any more
> computers and we must wait and look on next LTS version and test them
> very hard. OpenSUSE 11,2 have also problems with floppydrive there not
> working ether .
>
> This code is working like Francisco Canabas wrote but a new floppy
> module is started between the standard floppy module? In case no other
> alternative are availability.
>
> sudo mount /dev/fd0 /media/floppy0 -o umask=000
>
>
We have 9.04 and 8.04 LTS, did not like 8.10 for some reason I recall it
had prolbems too.
However 9.04 worked fine and I think what we will do is put it back onto
the hard drive with 9.10 and just stop using 9.10 for a while.
Apart from the Open Office versions being different that has not much
effect on functionality as both work fine and I kind of think the older
one that is still using firefox 3.0.15 and google chrome as we kept the
old firefox and did not let it update to 3.5, and it has the new chrome
it kind of seems more stable and faster once it is up and running. So
there is a lot to be said that is good about 8.04 and 9.04. 9.10
otherwise is pretty good, but I think up and running 9.04 is a better
program and 8.04 is far more stable and proven dependable.

John (invent-write) wrote :

Andy Whitcroft wrote:
> The device seems to be being detected correctly and udev informed as we
> do get a /dev/fd0. So it seems either the device does not have
> appropriate permissions, or the notification not being passed on to
> higher layers, or indeed those layers may not be taking appropriate
> action. Therefore adding tasks for udev and for gvfs to see if they can
> detemine why. Logs are below for the udev components.
>
> ** Changed in: linux (Ubuntu)
> Status: Triaged => Invalid
>
> ** Changed in: linux (Ubuntu)
> Assignee: (unassigned) => Andy Whitcroft (apw)
>
>
I think the layers that would do something are just not in there to do
it. I think they did USB support and forgot about floppy by ribbon cable
as an internal device.
I think the developers were thinking more NOTEBOOK and less about
desktop and older laptops.

John (invent-write) wrote :

Andy Whitcroft wrote:
> As the device is seen by udev and correctly created during the early
> boot it does not seem to be a bug in the kernel. It may be a
> permissions issue with the fd drive device as made by udev, or
> alternatively an issue at a higher level:
>
> KERNEL[1258912797.217841] add /devices/platform/floppy.0/block/fd0 (block)
> UDEV_LOG=3
> ACTION=add
> DEVPATH=/devices/platform/floppy.0/block/fd0
> SUBSYSTEM=block
> DEVNAME=fd0
> DEVTYPE=disk
> SEQNUM=1006
> MAJOR=2
> MINOR=0
>
> Will add tasks for those levels for confirmation.
>
> ** Also affects: gvfs (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Also affects: udev (Ubuntu)
> Importance: Undecided
> Status: New
>
>
What I did not try but it might work is get the program titled "floppy"
out of the older 9.04 repository and see if it will load in 9.10 As
9.10 does not have that in it's repository, and the previous versions did.

Changed in gvfs (Ubuntu):
importance: Undecided → Medium
Changed in udev (Ubuntu):
importance: Undecided → Medium

The attached udev log shows that a device was created

Changed in udev (Ubuntu):
status: New → Invalid

Scott James Remnant wrote:
> The attached udev log shows that a device was created
>
> ** Changed in: udev (Ubuntu)
> Status: New => Invalid
>
>
I don't know anything about how it was made, I just know it don't work,
so we will keep using older versions until it is fixed on the rest of
the computers and at some point be adding an older version to this one
so the floppy can be used. The necessary software to use or read a
floppy is not in Ubuntu 9.10.

They just left out the necessary software that is needed to utilize an internal floppy and until it is fixed we will just keep using older versions that do work. I don't think it is a bug, I think it is an oversight that was just left out, by people thinking small notebook and USB and not about the millions of laptops and desktops that do have internal FLOPPY. Someone just has to go back, add that in and then let it go out in an update.

I just want to comment, that my floppy drive works well in an updated version of 9.04 to 9.10, but it does not work from the common GUI interface.

See my description in Bug #485684

Sebastien Bacher (seb128) wrote :

the duplicate bug mentioned in recent comments indicate the devicekit-disks interface has issues with the floppy drive too, seems rather a bug in devicekit-disks there

affects: gvfs (Ubuntu) → devicekit-disks (Ubuntu)
Sergio Zanchetta (primes2h) wrote :

This bug affects Lucid Lynx too.
For more info and logs see duplicate bug #475500.

Could someone open two task against Karmic and Lucid respectively, please?

Due to the fact that this seems to affect a quite large number of users I mark it with "high" importance.
There are countries in which floppy is still a common device and there are still people having old archives in floppies using quite old hardware.
There are also other bug reports I'm investigating into, candidate as duplicate of this one.

Changed in devicekit-disks (Ubuntu):
importance: Medium → High
Antec (info-janmob) wrote :

Thanks Sergio Zanchetta, this bugs is in level high and i think so myself.

 More and more Linux users are dropping microsoft alltogether and using
Linux as a stand-alone OS and needing basic functions to read and write
files on media such as 'floppy'. For some time Linux has been going from
a secondary OS to a solitary OS in its usage. floppy is an important
function to have, especially with text files and data.

"More and more Linux users are dropping microsoft alltogether and using
Linux as a stand-alone OS and needing basic functions to read and write
files on media such as 'floppy'. For some time Linux has been going from
a secondary OS to a solitary OS in its usage. floppy is an important
function to have, especially with text files and data. (posted by John)."

We have the same situation here in that we use quality cameras that have the floppy disk drive built in... they
are used for quick one-picture shots and using a floppy disk is ideal. The cameras are too expensive an
investment to dump them to use Ubuntu, so, this fix is vital for us too. We agree too, there are millions still
using floppy disks for a host of reasons. It has nothing to do with using the latest equipment, we still
install floppy drives for our specific requirements. They are ideal for short text files and numerous convenient temporary portable archives of information.

Martin Pitt (pitti) wrote :

From the udev side, everything seems to be okay. Sergios' dmesg has

[80538.492091] end_request: I/O error, dev fd0, sector 0
[81237.645087] floppy0: data CRC error: track 5, head 0, sector 2, size 2
[81237.845784] floppy0: data CRC error: track 5, head 0, sector 2, size 2

which looks slightly disturbing, but it could be a side-effect of probing.

Can you please do

  devkit-disks --dump > /tmp/dk-disks.txt

and attach /tmp/dk-disks.txt here? After that, please do

  devkit-disks --monitor-detail > /tmp/dk-disks.log

then insert a floppy, try to mount it in GNOME (do you have an icon for it?), then press Control-C, and attach /tmp/dk-disks.log, too.

Changed in devicekit-disks (Ubuntu):
status: New → Incomplete
Sergio Zanchetta (primes2h) wrote :
Sergio Zanchetta (primes2h) wrote :
Sergio Zanchetta (primes2h) wrote :

I have a icon for floppy (both in Places and in 'Computer' folder).
There is just one difference, double click from the folder gives me "Unable to mount" "no device media found", clicking on Places->Floppy don't give me any information.
In both cases I get the same log from
devkit-disks --monitor-detail

John Higby (jhhigby) on 2009-11-25
Changed in linux (Ubuntu):
status: Invalid → Confirmed
Martin Pitt (pitti) wrote :

Thanks. So dk-d knows about it, but does not know about the file system on the device.

Does "devkit-disks --mount /dev/fd0" work?

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Martin Pitt (pitti) wrote :

So part of the problem would be that 60-persistent-storage.rules doesn't probe for file systems on floppy devices.

I suppose devkit-disks --mount says "Not a mountable file system"?

Martin Pitt (pitti) wrote :

Could anyone try this: In /lib/udev/rules.d/60-persistent-storage.rules, change

  KERNEL=="fd*|mtd*|nbd*|gnbd*|btibm*|dm-*|md*", GOTO="persistent_storage_end"

to not have the "fd*" in it, i. e.

  KERNEL=="mtd*|nbd*|gnbd*|btibm*|dm-*|md*", GOTO="persistent_storage_end"

Then udev should probe the floppy on the change event initiated by the mount call (dk-disk's DrivePollMedia()).

Martin Pitt (pitti) wrote :

Could anyone try this: In /lib/udev/rules.d/60-persistent-storage.rules, change

  KERNEL=="fd*|mtd*|nbd*|gnbd*|btibm*|dm-*|md*", GOTO="persistent_storage_end"

to not have the "fd*" in it, i. e.

  KERNEL=="mtd*|nbd*|gnbd*|btibm*|dm-*|md*", GOTO="persistent_storage_end"

Then udev should probe the floppy on the change event initiated by the mount call (dk-disk's DrivePollMedia()).

summary: - [Karmic] floppy is not working (Ubuntu 9.10)
+ [Karmic] floppy is not working

It shouldn't be retrofitted into the normal persistent storage rules like that, because we don't have media detection for floppies - and you don't want the usual persistent symlinks for them anyway even if they did.

Basically you really just want blkid run on it - if we have a "floppy present" signal from dk-disk, then we could do it on a special "change" rule?

Sergio Zanchetta (primes2h) wrote :

Giving:
devkit-disks --mount /dev/fd0

it mounts floppy:
Mounted /org/freedesktop/DeviceKit/Disks/devices/fd0 at /media/floppy0

and creates another floppy icon called floppy0 that is browseable.

Yeah but it does not last after a reboot.

Scott James Remnant [2009-11-25 18:42 -0000]:
> It shouldn't be retrofitted into the normal persistent storage rules
> like that

I agree. This is purely for testing, to see what else is missing.

I'll try that tomorrow morning and I let you know, I don't have the pc with floppy in this moment.

Sergio Zanchetta (primes2h) wrote :

I mean 'this' morning (00.38 here now) ;)

The KTTS text to voice program WILL open a Floppy and place the icon on
desktop in 9.10

I will try to see this problem with the computers knowledge:
Logical or idiotic, computers continue to do, what they have been ordered to.
In linux and unix it has been an order, that everything has to be mounted before use and unmounted after use. The computer knows this, and if a floppy disk is removed and replaced with another one without mounting, the computer must consider it a failure of the drive, because the contents in the media has changed without reason. (Floppy drives does not automatically tells the computer, that the media is changed.)
Therefore the computer marks the floppy drive at that position as unreliable, and prohibits the use.
We cannot use the drive at that position, but we can mount and use it in another position, because it might be another drive according the computers knowledge.

I think this explains, what we have experienced, and this might help to find the orders, which could change the knowledge of the computer.

I will try to see this problem with the computers knowledge:
Logical or idiotic, computers continue to do, what they have been ordered to.
In linux and unix it has been an order, that everything has to be mounted before use and unmounted after use. The computer knows this, and if a floppy disk is removed and replaced with another one without mounting, the computer must consider it a failure of the drive, because the contents in the media has changed without reason. (Floppy drives does not automatically tells the computer, that the media is changed.)
Therefore the computer marks the floppy drive at that position as unreliable, and prohibits the use.
We cannot use the drive at that position, but we can mount and use it in another position, because it might be another drive according the computers knowledge.

I think this explains, what we have experienced, and this might help to find the orders, which could change the knowledge of the computer.

I got an error, when trying to post the comment (do not know why), and therefore posted it again.

kttsmgr can open the floppy but the OS can't. How is it that a text to
voice program written for Kubuntu can open a floppy and Ubuntu can't?
Does this 'floppy' problem exist in Kubuntu?

I tried changing /lib/udev/rules.d/60-persistent-storage.rules but after reboot nothing changed, unable to mount from GUI and devkit-disks --mount /dev/fd0 mounts floppy.

Sergio Zanchetta (primes2h) wrote :

If it can help, output of 'blkid -p /dev/fd0' is:

/dev/fd0: SEC_TYPE="msdos" LABEL="PKBACK# 001" VERSION="FAT12" TYPE="vfat" USAGE="filesystem"

OK, why is it that the program KMOUTH can mount a floppy and the OS can't?
Install the program KMOUTH, a voice program, click on the icon under
universal access and it will bring up initial configuration. If you
insert a 'floppy' before this, it will see it and if you click on it, it
will mount it. So why is that? What library is allowing it to do that.

It will mount and open floppy from the command for speaking text icon.
part of 'kttsd'.

folder (inode/directory)
location, on the desktop
The permissions on floppy0 could not be determined

This bug it seems very big, it can be very triked to solve it. It's very important to fix this one.

Martin Pitt (pitti) wrote :

Sergio,

so your blkid output shows that blkid can detect it, and if you are able to mount it with devkit-disks --mount, then I guess gnome is just confused about the device not having any filesystem in udev (not knowing that it can call FilesystemMount() nevertheless).

Can you confirm this with

  udevadm monitor --udev -e >/tmp/udev.log 2>&1 &
  gvfs-mount -li >/tmp/gvfs.log 2>&1

then do the devkit-disks --mount /dev/fd0 in another terminal, then go back, press Control-C, do "fg", press Control-C atain, and attach /tmp/udev.log and /tmp/gvfs.log? I'm interested whether there is a file system in udev.log after that, and how gvfs responds to that.

Thanks!

Martin Pitt (pitti) wrote :

Sergio,

so your blkid output shows that blkid can detect it, and if you are able to mount it with devkit-disks --mount, then I guess gnome is just confused about the device not having any filesystem in udev (not knowing that it can call FilesystemMount() nevertheless).

Can you confirm this with

  udevadm monitor --udev -e >/tmp/udev.log 2>&1 &
  gvfs-mount -li >/tmp/gvfs.log 2>&1

then do the devkit-disks --mount /dev/fd0 in another terminal, then go back, press Control-C, do "fg", press Control-C atain, and attach /tmp/udev.log and /tmp/gvfs.log? I'm interested whether there is a file system in udev.log after that, and how gvfs responds to that.

Thanks!

Sergio Zanchetta (primes2h) wrote :
Sergio Zanchetta (primes2h) wrote :
Martin Pitt (pitti) wrote :

Sorry, I meant

  gvfs-mount -oi >/tmp/gvfs.log 2>&1

Can you run that while doing devkit-disks --mount and attach /tmp/gvfs.log?

So it seems that there are zero uevents when trying to mount the device, which explains why the changed udev rule didn't gain anything. Does it work if you keep the changed udev rule, and do

  * insert the floppy
  * sudo udevadm trigger --action=change --sysname-match=fd0

After that, devkit-disks --dump should have a file system info, and GNOME should be able to mount it. Does that work?

Martin Pitt (pitti) wrote :

Sorry, I meant

  gvfs-mount -oi >/tmp/gvfs.log 2>&1

Can you run that while doing devkit-disks --mount and attach /tmp/gvfs.log?

So it seems that there are zero uevents when trying to mount the device, which explains why the changed udev rule didn't gain anything. Does it work if you keep the changed udev rule, and do

  * insert the floppy
  * sudo udevadm trigger --action=change --sysname-match=fd0

After that, devkit-disks --dump should have a file system info, and GNOME should be able to mount it. Does that work?

Sergio Zanchetta (primes2h) wrote :

Here you have.
Just a note:
I gave all previous commands with the modified udev rules file
/lib/udev/rules.d/60-persistent-storage.rules

Is that ok?

Sergio Zanchetta (primes2h) wrote :

I did
sudo udevadm trigger --action=change --sysname-match=fd0

but nothing happened and giving
devkit-disks --dump
there is still no file system info in floppy section.
Obviously no luck in opening floppy using GNOME.

Could it be something as simple as... it being called "floppy" in some
commands or code and "floppy0" in others that is causing this? As some
KDE programs are able to mount and read it as floppy0 while it still
cannot be read or mounted as floppy?

     "Me too". Using Places->either floppy drive, the light blinks for about a second. Places->Computer then selecting a floppy, the light runs for a second then "Unable to mount location -- no media in the drive"
      Yes, "either floppy drive" -- my parents still have some 5.25s around and so they've got one of those dual drives.
     opening a terminal and running "sudo mount /dev/fd0" or "sudo mount /dev/fd1" works just fine, and unmounting via GUI then works too.

If you install KDE text to voice it will mount and open floppy as floppyO

must be a syntax logic issue in mount....

i have ckek the code....

Antec (info-janmob) wrote :

Big truble in Ubuntu

John [2009-11-27 18:31 -0000]:
> Could it be something as simple as... it being called "floppy" in some
> commands or code and "floppy0" in others that is causing this? As some
> KDE programs are able to mount and read it as floppy0 while it still
> cannot be read or mounted as floppy?

KDE is unrelated to that, since in karmic it uses hal. hal does its
own probing thing.

John (invent-write) wrote :

if you install the voice to text out of the software center you will see
that kttsd will open floppy...
It is a program written for kubuntu but works on ubuntu, (it has other
bugs but it does open floppy0...

Martin Pitt wrote:
> John [2009-11-27 18:31 -0000]:
>
>> Could it be something as simple as... it being called "floppy" in some
>> commands or code and "floppy0" in others that is causing this? As some
>> KDE programs are able to mount and read it as floppy0 while it still
>> cannot be read or mounted as floppy?
>>
>
> KDE is unrelated to that, since in karmic it uses hal. hal does its
> own probing thing.
>
>

It seems to be problem with gnom and kde and the floppy is to be fatal error

I guess we are taking all but one of the 9.10 the systems back to 9.04
until they figure out a fix.
At least the 8.04 LTS people are happy for sticking with what work!

John. 9.04 works fine for me (both 32 and 64 bit), but not 9.10 or 10.04.

KevinM (kevbert1) wrote :

9.04 works fine for me (both 32 and 64 bit), but not 9.10 or 10.04.

KevinM wrote:
> John. 9.04 works fine for me (both 32 and 64 bit), but not 9.10 or
> 10.04.
>
>
I agree, 9.04 is better. 8.04 have also worked flawlessly for a long time.

Problems in the code,

Has anyone examined the possibility, that use of floppy from GUI is marked bad, in a way like sectors at a harddisk?

If the OS don't know, that a disk has been unmounted and another one inserted, then the disk looks unreliable, because the data has changed without reason.

I don't know if they are even going to fix it?
Many have changed back to older versions on most of their computers.
Perhaps an update will correct it, soon.

The floppy problems seems not to be fix in 9,10 or 10,04....sorry.. Ubuntu have to xl problem with Xorg! That problems take all the time...

Antec (info-janmob) wrote :

I seems this very confused! It is very laugh people who is don't understand that!

Will canonical fix it in this version and the next?

This needs a high priority/

Martin Pitt (pitti) wrote :

OK, I'm afraid none of the logs really help me. I need to get ssh access to a machine with a floppy drive and a floppy inserted, with "admin" privileges. Can someone provide that?

Please install the third key from https://launchpad.net/~pitti/+sshkeys , or send me an encrypted mail with the password.

Thanks!

Martin Pitt (pitti) wrote :

OK, I'm afraid none of the logs really help me. I need to get ssh access to a machine with a floppy drive and a floppy inserted, with "admin" privileges. Can someone provide that?

Please install the third key from https://launchpad.net/~pitti/+sshkeys , or send me an encrypted mail with the password.

Thanks!

Martin Pitt wrote:
> OK, I'm afraid none of the logs really help me. I need to get ssh access
> to a machine with a floppy drive and a floppy inserted, with "admin"
> privileges. Can someone provide that?
>
> Please install the third key from https://launchpad.net/~pitti/+sshkeys
> , or send me an encrypted mail with the password.
>
> Thanks!
>
Can't do that

None of the latest updates have the fix in it yet.
So I guess they have not added in what they have left out concerning
internal "floppy" or floppy0

Looking at /dev on 8.04 I see
brw-rw---- 1 root floppy 2, 0 2009-12-06 18:41 /dev/fd0
brw-r----- 1 root disk 2, 84 2009-12-06 18:41 /dev/fd0u1040
brw-r----- 1 root disk 2, 88 2009-12-06 18:41 /dev/fd0u1120
brw-r----- 1 root disk 2, 28 2009-12-06 18:41 /dev/fd0u1440
brw-r----- 1 root disk 2, 124 2009-12-06 18:41 /dev/fd0u1600
brw-r----- 1 root disk 2, 44 2009-12-06 18:41 /dev/fd0u1680
brw-r----- 1 root disk 2, 60 2009-12-06 18:41 /dev/fd0u1722
brw-r----- 1 root disk 2, 76 2009-12-06 18:41 /dev/fd0u1743
brw-r----- 1 root disk 2, 96 2009-12-06 18:41 /dev/fd0u1760
brw-r----- 1 root disk 2, 116 2009-12-06 18:41 /dev/fd0u1840
brw-r----- 1 root disk 2, 100 2009-12-06 18:41 /dev/fd0u1920
brw-r----- 1 root disk 2, 12 2009-12-06 18:41 /dev/fd0u360
brw-r----- 1 root disk 2, 16 2009-12-06 18:41 /dev/fd0u720
brw-r----- 1 root disk 2, 120 2009-12-06 18:41 /dev/fd0u800
brw-r----- 1 root disk 2, 52 2009-12-06 18:41 /dev/fd0u820
brw-r----- 1 root disk 2, 68 2009-12-06 18:41 /dev/fd0u830

9.04 does not have anything in /dev/fd0*

9.10 has 0nly the following:
lrwxrwxrwx 1 root root 13 2009-12-05 10:02 /dev/fd -> /proc/self/fd
brw-rw---- 1 root floppy 2, 0 2009-12-05 10:02 /dev/fd0

Is it likely that the missing block devices is the cause of the problem?

Kevin Slade (kevin-kiwisoft) wrote :

Looking at /dev on 8.04 there are:

brw-rw---- 1 root floppy 2, 0 2009-12-06 18:41 /dev/fd0
brw-r----- 1 root disk 2, 84 2009-12-06 18:41 /dev/fd0u1040
brw-r----- 1 root disk 2, 88 2009-12-06 18:41 /dev/fd0u1120
brw-r----- 1 root disk 2, 28 2009-12-06 18:41 /dev/fd0u1440
brw-r----- 1 root disk 2, 124 2009-12-06 18:41 /dev/fd0u1600
brw-r----- 1 root disk 2, 44 2009-12-06 18:41 /dev/fd0u1680
brw-r----- 1 root disk 2, 60 2009-12-06 18:41 /dev/fd0u1722
brw-r----- 1 root disk 2, 76 2009-12-06 18:41 /dev/fd0u1743
brw-r----- 1 root disk 2, 96 2009-12-06 18:41 /dev/fd0u1760
brw-r----- 1 root disk 2, 116 2009-12-06 18:41 /dev/fd0u1840
brw-r----- 1 root disk 2, 100 2009-12-06 18:41 /dev/fd0u1920
brw-r----- 1 root disk 2, 12 2009-12-06 18:41 /dev/fd0u360
brw-r----- 1 root disk 2, 16 2009-12-06 18:41 /dev/fd0u720
brw-r----- 1 root disk 2, 120 2009-12-06 18:41 /dev/fd0u800
brw-r----- 1 root disk 2, 52 2009-12-06 18:41 /dev/fd0u820
brw-r----- 1 root disk 2, 68 2009-12-06 18:41 /dev/fd0u830

9.04 does not have anything in /dev/fd0*

9.10 has 0nly the following:
lrwxrwxrwx 1 root root 13 2009-12-05 10:02 /dev/fd -> /proc/self/fd
brw-rw---- 1 root floppy 2, 0 2009-12-05 10:02 /dev/fd0

Is it likely that the missing block devices is the cause of the problem?

Kevin Slade (kevin-kiwisoft) wrote :

The /dev directory in 9.10 seems to be missing all of the normal block devices that have the associations for the different formats.

Kevin Slade (kevin-kiwisoft) wrote :
  • t.t Edit (1.2 KiB, application/x-troff)
Antec (info-janmob) wrote :

This bugs is seams to affect both Karmic and Lucid! So I hope this can be fixed!

So the development team forgot to include it?

The rule to create those devices is still there, it must be failing to work.

Antec (info-janmob) wrote :

What is this help and fixit!!! If this is Lusid and carmic problem!!!!

Antec (info-janmob) wrote :

It is a problem to big? I don't sink that

Antec (info-janmob) wrote :

It is a problem to big? I don't sink that If you don't listen? It I a big problem

Antec (info-janmob) wrote :

I work and my job take all migh time...but the ubuntu problrm is big....

Antec (info-janmob) wrote :

Det är förbannat självklart att det här ska fixas annars är det rent av åt helvete...En disketstation att den inte funkar i ett modernt system är ren av åt helvete!!! Nu har jag sagt det!!!!

Antec (info-janmob) wrote :

!t seams them have 59 days to fix this bug....We people can see that we have those wrong system!!!

A lot of people are going back to older versions as we only have ONE
that still has 9.10 and the others have been reset to older 9.04 with
one laptop using 8.04 that (has never had any problems from day one).

They will have to do a UPDATE to the core to fix it, I am not sure if
they have noticed, it could be they are all using mini notebooks as a
benchmark and not desktops and laptops.

I think if they not fix this it is i big problem!!! in my country and i live in sweden we use the floppy yet....And my country is an iland

Antec (info-janmob) wrote :

We are in Europe Sweden is a country whith is 9 million people, and 1 million use Linux

Antec: you really aren't adding anything to the bug, all you're doing is
annoying the users and developers who are subscribed to it.

We are aware that there appears to be a problem with floppy disk support
in the most recent version of Ubuntu.

However we have something of a difficulty obtaining machines *with*
floppy drives! No laptop or desktop currently on the market from a
major manufacturer appears to have one, and certainly our developer team
don't have access to any machine with one that's actually working.

Martin Pitt has asked (in comment #90) for SSH access to a user's
machine who can put a floppy disk into the drive. We really need that
to be able to debug this problem.

Scott
--
Scott James Remnant
<email address hidden>

IBM Thinkpads have a floppy option.
There are millions of Toshiba's still in use that have it.
Anyone of a number of suppliers for "build your own or for hardware can
supply "floppy" and a great number of mother boards still have a
provision for a floppy as do many desktops.

A floppy drive costs about 20 bucks and are available from a number of
suppliers.
Newegg for example has them from 8 dollars up and there are a number of
others as well.

Millions of people build their own computers or buy a basic computer and
add hardware into it as needed.
IBM thinkpad "Ultrabay" has a floppy option.
I think DELL will still put one in a new machine if you order it.

I can help but I most installing the Karmic in my computer, I have Ubuntu 9,04 now....I installing Karmic tomorrow with floppy

Antec (info-janmob) wrote :

Now i have Karmic and the floppty. Please, i am not very god on this but my computer is availably for anyone who is trying to solve this issue, tell me how i can do? If you want, you can have my ip-adress an use this computer to fix this issue!

G. R. Main (grmain) wrote :

Scott,

I understand Antec's frustration with this list.

It seems that if we users do not *annoy* the great god developers, we are ignored. I suppose that you think that if you do not answer us or post some sort of arrogant rant that we will go away.

  Not this time!

 Thousands of us have older hardware that have floppy drives, and we still use them! *Most* of us are not so wealthy as to be able to run down to our nearby electronics store and buy brand new computers just so that we can support the latest and greatest Operating System.

Not Helpful?

Well, Lemme see....

25 minutes on my computer found:

IDE Floppy

Tiger Direct

http://www.tigerdirect.com/applications/category/category_slc.asp?CatId=630&name=Floppy%20Disk%20Drives%20-%20IDE

http://www.tigerdirect.com/applications/category/category_slc.asp?CatId=287&name=Floppy%20Disk%20Drives

Newegg

http://www.newegg.com/Product/ProductList.aspx?Submit=ENE&SubCategory=13&N=2010020013&SpeTabStoreType=1

Buy.com

http://www.buy.com/prod/sony-ide-floppy-drive-1-44-mb-pc-720-kb-1-x-34-pin-ide-atapi-3-50/q/loc/101/10334909.html

Dell.com

http://search.dell.com/results.aspx?s=dhs&c=us&l=en&cs=19&k=floppy+drive&cat=all&x=0&y=0

Polywell

Model 2055A-SLI Use "Configurator" to add floppy drive

I fail to see why you could not take the time to find a computer for sale with a floppy drive.

I may be old fashioned, but if I were developing Operating Systems for the public to use, I would have a *huge* stack of old PC's hanging around for *regression* *testing*

Cheers,

           G. R. Main

Antec (info-janmob) wrote :

 Today i going to an local service place and purchase an tp-cable how going directly to the network.. If it is needed! And around my router and directly to the internet! If it is needed my computer is fore anyone who is trying to solve this issue!

Antec (info-janmob) wrote :

I can and i hope that is a help to solve this problem, i agree my computer to solve this, it is importance that this bugs will be fixed, if not we gonne see it in Lucid to

 Just about every desk top has a floppy.
And these are fairly new systems.
We would never have one without a floppy.

I think the experts are trying and Antec is trying to help.
My thought is this, a lot of people use floppy and a lot of people
expect Ubuntu to be used without XP or VISTA and for many the floppy is
for things like basic dos functions on a hard drive, like Format and
FDisk. Two functions that should be on the Linux CD.

The light seems to come on longer when detect media or mount are clicked
but still it cannot see the media in the floppy drive.
For some reason however the light does stay on for a few seconds so the
hardware knows but the software can't read or see the media.
How ever KMouth Initial configuration for text to speech is still able
to mount and open and utilize the floppy. So it kind of seems like that
program is able to use what the OS can't seem to on its own?

Ubuntu is on 2 desktops and one laptop as a stand alone O/S. MS only exists inside Virtual Box on one desktop for testing reasons. I restore old computers and the use of floppies is a must for me. This includes the 5.25" drives! I will be reverting the one desktop I upgraded to 9.10, back to 9.04 until the floppy issue is fixed. This is a crying shame, I do like the 9.10 but for me, it must be able to access both floppy drives. I really did like the "Floppy formatter" program in 9.04. Bill N.

Scott!
Your answer #111 to Antec is arrogant and impertinent!
We are the users!!!

A development team without a floppy drive ???.
Ubuntu clearly has build-in resources for floppies. How can a development team then work without??? - That is one more critical bug!

This is very disappointing and critical for my use of the ubuntu-family and of Canonical. I am now trying other linux versions.
I consider floppy drives to be the most safe rescue booting device and I use floppies for small secure backups: hard-disks and usb-keys are more likely to be stolen.

Torkil Olesen [2009-12-08 19:21 -0000]:
> Scott!
> Your answer #111 to Antec is arrogant and impertinent!
> We are the users!!!

Right, but this is a bug tracker, and as such making comments _here_
which do not help to advance the state/debugging of this problem are
just wasting everyone's time.

Lets work the problem. Lot of people trying their best to solve this all
over the planet earth. Antec and many others are trying their best to
fix this and understand the problem as are the team people at ubuntu, so
lets all get along and work the problem as it will not only help 9.10
but apparently 10.04 that also seems to be lacking this basic necessary
functionality of floppy that is a real tool that is needed by millions
of people as a way to do tasks and access old archive of data and photo
files. A lot of people have committed to Ubuntu and it is frustrating
for many who have found this problem an impediment to progress and
having to back track to a previous version. However ALL want to find
the fix, so lets keep in mind the people are not the problem, the
software has the problem and the many experts just have to figure out
what it needs to fix it. So keep a positive attitude, OK? ok.

Hi Everybody!

I've a desktop with non-functional floppy available for ssh connections and testing if still needed.

I sent IP address to both Martin and Scott thru email. I hope my emails weren't delivered to spam boxes.

Cheers!
Jukka

We should appreciate the enthusiasm Antec has, I kind of think it's
commendable and refreshing and if that was applied in the future these
kind of oversights would not happen and when they did it would not be
for long. I think the management people at corporate Ubuntu do
appreciate it, as that is an example of the power of open source
working... As they say in the UK, good show!

Splendid!
I appreciate very much, that something now is being done.

That was just not my observation after 4 different bug reports with a lot of information (I myself had used more than 25 hours to investigate the bug).
Some hard words seems to could be useful.

Floppy still not fixed in the most current , proposed updates and
current updates.

Now at least "floppyd" shows up along with its KDE equivalent however
install it still does not make the "floppy" able to mount or detect
media.
However the light still comes on when one tries.
So far only the voice to text software is able to mount it, and open it
however it places it on desktop and treats it as if it is "a separate"
floppy than the one shown under places.

Besides that it is not true that there is no way to mount it, I have the same problem and if needed I would provide root access for Martin to my box for investigation. Just tell me if you need it.

@ John if you mount the floppy via command line it shows up exactly as the voice to text software does it.

"Besides that it is not true that there is no way to mount it, I have
thesame problem and if needed I would provide root access for Martin to
mybox for investigation. Just tell me if you need it."

It will mount off the kde program but it is not the same as what is
missing. The missing floppy and ability to read or open it cannot be
done by the OS 9.10.
Personally I think the developers were thinking 199.00 notebook and not
desktop when they put 9.10 together.

What that voice to text software does has nothing to do with Gnome or KDE. Just go to a commandline and do "mount /dev/fd0" if the line in /etc/fstab is present for the floppy. If not, the command would just be a bit longer, but that has the same effect when letting the voice to text software do the mount.

Martin Pitt (pitti) on 2009-12-14
Changed in linux (Ubuntu Karmic):
status: New → Invalid
Changed in udev (Ubuntu Karmic):
status: New → Invalid
Martin Pitt (pitti) wrote :

I have ssh on Björn Kautler's machine now (clean karmic) and took a look at it. Keeping some notes:

 * devkit-disks --mount /dev/fd0 -> works (unmount, too)
 * gvfs-mount -li -> floppy appears as a volume
 * gvfs-mount -d /dev/fd0 -> works, floppy is mounted:

Volume changed: 'floppy0'
  Volume(0): floppy0
    Type: GUnixVolume
    ids:
     unix-device: '/dev/fd0'
    themed icons: [drive-removable-media] [drive-removable] [drive]
    can_mount=1
    can_eject=0
    should_automount=1
    Mount(0): floppy0 -> file:///media/floppy0
      Type: GUnixMount
      themed icons: [media-floppy] [media]
      can_unmount=1
      can_eject=0
      is_shadowed=0

Mount added: 'floppy0'
  Mount(0): floppy0 -> file:///media/floppy0
    Type: GUnixMount
    themed icons: [media-floppy] [media]
    can_unmount=1
    can_eject=0
    is_shadowed=0

I don't see duplicated gvfs volumes and don't get "no medium detected" errors with those command line tools. Can others confirm this?

So it seems to be a problem with the nautilus integration. Tentatively moving assignment upwards to gvfs for now.

Can you please open the computer place, do a screenshot, try to click on the floppy icon, and do another screenshot of the error message and the updated computer place? (Please move the error dialog and window side by side so that the screenshot includes both).

affects: devicekit-disks (Ubuntu Karmic) → gvfs (Ubuntu Karmic)
Changed in gvfs (Ubuntu Karmic):
status: New → Incomplete
description: updated
tags: added: regression-potential
summary: - [Karmic] floppy is not working
+ [Karmic] clicking on floppy gives "no device media found"

So can you please do

   gvfs-mount -oi >/tmp/gvfs.log 2>&1

then click on the floppy icon in nautilus, and then attach /tmp/gvfs.log and ~/.xsession-errors . Thanks!

Martin Pitt (pitti) wrote :

For the record, this also works for me when running nautilus on Bjoern's machine through X forwarding. So something on a remote session is different than on a local one. Should try desktop sharing/VNC next.

Empathy allows you to share your desktop session with someone else (like <email address hidden> :-) ).

Martin Pitt (pitti) wrote :

Further notekeeping:

 * When I log in remotely, I get a correct gvfs volume:

Volume(1): floppy0
  Type: GUnixVolume
  ids:
   unix-device: '/dev/fd0'
  themed icons: [drive-removable-media] [drive-removable] [drive]
  can_mount=1
  can_eject=0
  should_automount=1

But when I log in locally, I only get a drive without a volume:

Drive(1): Diskettenlaufwerk
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
  ids:
   unix-device: '/dev/fd0'
  themed icons: [drive-removable-media-floppy] [drive-removable-media] [drive-removable] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=0
  can_poll_for_media=1
  can_eject=0
  can_start=0
  can_stop=0
  start_stop_type=unknown

Martin Pitt (pitti) on 2009-12-14
description: updated
Martin Pitt (pitti) on 2009-12-14
Changed in gvfs (Ubuntu Karmic):
status: Incomplete → Triaged
Changed in gvfs (Ubuntu Lucid):
status: Incomplete → Triaged
Antec (info-janmob) wrote :

Thank's everybody for you are attemp to solve this issue :-D

I think the developers just flat out left out the software needed to
operate an internal floppy and while added on programs seem to be able
to use it the only way that Ubuntu can fix it is to add in the 'plug and
play' ability to 9.10 and 10.04.
Someone said always skip the .10 versions of Ubuntu as they never seem
to work right or have all the abilities or features of the previous 04
version or next one. So all but one of our systems have been taken back
to previous versions.

After upstream discussion this should be fixed in dk-disks after all.

affects: gvfs (Ubuntu Karmic) → devicekit-disks (Ubuntu Karmic)
Changed in devicekit:
status: Unknown → Confirmed
jeremy-list (quick-dudley) wrote :

$ gvfs-mount /dev/fd0
Error mounting location: volume doesn't implement mount

$ devkit-disks --mount /dev/fd0
Mounted /org/freedesktop/DeviceKit/Disks/devices/fd0 at /media/floppy

jeremy-list (quick-dudley) wrote :

Below are the commands and output mounting the floppy on my system. The disk was vfat formatted, I also have a stack of hfs formatted floppy disks which I haven't tried.
gvfs-mount /dev/fd0
Error mounting location: volume doesn't implement mount

devkit-disks --mount /dev/fd0
Mounted /org/freedesktop/DeviceKit/Disks/devices/fd0 at /media/floppy

The second mount command was successful although nautilus doesn't recognise that the new mount is in fact the same floppy drive it's been failing to mount.

jeremy-list [2009-12-15 4:00 -0000]:
> gvfs-mount /dev/fd0

It's "gvfs-mount -d /dev/fd0", for your interest.

Anyway, the bug is completely understood now, so we do not need
further information from bug reporters.

Thanks all!
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

summary: - [Karmic] clicking on floppy gives "no device media found"
+ Clicking on floppy gives "no device media found"

It's "gvfs-mount -d /dev/fd0", for your interest.

Anyway, the bug is completely understood now, so we do not need
further information from bug reporters.

Thanks all!

SO DOES THAT MEAN THEY WILL FIX IT?

gvfs-mount /dev/fd0
Error mounting location: volume doesn't implement mount

sudo gvfs-mount -d /dev/fd0

(gvfs-mount:1874): GLib-GIO-CRITICAL **: g_simple_async_result_new:
assertion `!source_object || G_IS_OBJECT (source_object)' failed

(gvfs-mount:1874): GLib-GIO-CRITICAL **: g_simple_async_result_complete:
assertion `G_IS_SIMPLE_ASYNC_RESULT (simple)' failed

(gvfs-mount:1874): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

gvfs-mount -d /dev/fd0
No volume for device file /dev/fd0

That is not a fix, that is just the same thing the KDE text to voice
program was doing to open the drive as floppy0 but it still has the
floppy icon vacant and no functional.
People should not have to use terminal to open a floppy drive, as floppy0

It won't unmount without reversing the command, this bug is not fixed,
they need to add the appropriate software in an update to fix it.

hi
friend please stop sending messages for fikar my email I am already
filling these posts with the subject [Bug 441835] That is not a fix,
that is just the same thing the KDE text to voice program.

> Date: Tue, 15 Dec 2009 17:14:11 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 441835] That is not a fix, that is just the same thing the KDE text to voice program
>
> That is not a fix, that is just the same thing the KDE text to voice
> program was doing to open the drive as floppy0 but it still has the
> floppy icon vacant and no functional.
> People should not have to use terminal to open a floppy drive, as floppy0
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are subscribed to Karmic.
>
> Status in DeviceKit - enumerate devices and listen to udev device events: Confirmed
> Status in GVFS: Unknown
> Status in “devicekit-disks” package in Ubuntu: Triaged
> Status in “linux” package in Ubuntu: Invalid
> Status in “udev” package in Ubuntu: Invalid
> Status in “devicekit-disks” source package in Lucid: Triaged
> Status in “linux” source package in Lucid: Invalid
> Status in “udev” source package in Lucid: Invalid
> Status in “devicekit-disks” source package in Karmic: Triaged
> Status in “linux” source package in Karmic: Invalid
> Status in “udev” source package in Karmic: Invalid
>
> Bug description:
> In Karmic GNOME, floppies are detected correctly by linux, udev, devkit-disks, and gvfs. However, when clicking on the floppy icon in GNOME, you get a "no medium found" error.
>
> Remote reproducer: gvfs-mount -li
>
> - When you just start that with no other processes running, you get a correct "volume" for /dev/fd0 ("floppy0").
> - When you start it through dbus-launch, you get a floppy0 "drive" instead, and no volume
>
>

_________________________________________________________________
Faça transações bancárias de maneira segura. Baixe agora o Novo Internet Explorer 8.
http://brasil.microsoft.com.br/IE8/mergulhe/?utm_source=MSN%3BHotmail&utm_medium=Tagline&utm_content=Tag2&utm_campaign=IE8

G. R. Main (grmain) wrote :

The command " sudo gvfs-mount -d /dev/fd0" does not work. See below.

bob@Gkar:~$ sudo gvfs-mount -d /dev/fd0

(gvfs-mount:2600): GLib-GIO-CRITICAL **: g_simple_async_result_new: assertion `!source_object || G_IS_OBJECT (source_object)' failed

(gvfs-mount:2600): GLib-GIO-CRITICAL **: g_simple_async_result_complete: assertion `G_IS_SIMPLE_ASYNC_RESULT (simple)' failed

(gvfs-mount:2600): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Cheers,

          G. R. Main

The messages go out to bug 441835 not just to you.
As of yet this is still not fixed.

Vampire (bjoern-kautler) wrote :

John, what makes you think this bug could be fixed. Neither a comment here, nor the status of the bug suggest that it is fixed. So please be patient and wait for a fix and stop spamming the subscribers of this bug, this is very annoying. Martin just wrote that the guys now understand the problem which just means that they know what is going wrong and why and possibly are able to fix it as they were able to reproduce it on my box now (I'm Björn Kautler). As it is clearly a bug, of course they will also fix it, that is just a thing that can not happen over night, so please be patient. Also it doesn't make any sense to try commands that are clearly stated to be incorrect. "gvfs-mount /dev/fd0" is incorrect as it is missing the "-d", so no sense in trying it. "gvfs-mount -d /dev/fd0" only works as root or maybe if you are in the floppy group, but then the same user who did the mount also has to unmount the volume, while this does not mount the floppy "into" the floppy drive icon in places, but parallel to it, like also this "voice to text" software does. Despite the error messages that appear with this command, the mounting itself works fine. Noone said that issueing this command is a fix, it was only part of investigating the source of the problem.

Vampire (bjoern-kautler) wrote :

btw. if you have the line "/dev/fd0 /media/floppy0 auto rw,user,noauto,exec,utf8 0 0" in your /etc/fstab, you can also simply do "mount /dev/fd0" as any user which has the same effect than using that voice-to-text program. Then you even can unmount the floppy0 via nautilus. As temporary workaround you could make yourself a shortcut that issues that command to mount a floppy.

John (invent-write) wrote : Vampire

Look Vampire, someone wrote in that the bug is fixed, it was not me.
There are a lot of people working on this. It will more than likely need
a software fix in an update to fix it.
Guys jumping in and going all negative on people does not help.
I am not SPAMING I am replying to the site, and in this case to you.
Besides I was the one who first posted this bug.
Going all negative on me or as in the past a few have on others
concerned with this does no good.

Don't attack ALL the people trying to fix the floppy problem attack the
problem.

Vampire (bjoern-kautler) wrote :

John, if you refer to "After upstream discussion this should be fixed in dk-disks after all.", then this was just a misunderstanding. What Martin meant to say was "After upstream discussion this should get fixed in dk-disks after all.", just defining the component in which this will get fixed somewhen in the future. It shouldn't mean that the bug is fixed already. Of course it will need a software update, so as I siad, please be patient until one arrives. Noone said it will be fixed without a software update, I just told you a workaround for the meantime.

> Guys jumping in and going all negative on people does not help.

Correct, that is why I didn't do it. I jumped in and gave Martin access to my box to find the cause of the problem what he did. THAT helped. Your dozens of comments without any additional info that mostly contain whining on the other hand do NOT help in any way. It just annoys anyone who is subscribed to this bug as for every comment you write, a mail is sent out. And writing comments in 2 minutes steps without any helpful information, even after it was clearly stated that the cause of the problem is clear now IS spam. I didn't attack ALL people, I just asked you to not spam this bug with unhelpful comments. Instead I actually attacked the problem in actively helping to find the root cause by giving Martin access to my box what YOU didn't want to provide. That is ok, but please don't complain that I attack people instead of the problem.

For me, this discussion with you is over now. I will not reply to any comment regarding this anymore, so please don't write any, it doesn't help and is totally unrelated to this bug.

Vampire wrote:
> John, if you refer to "After upstream discussion this should be fixed in
> dk-disks after all.", then this was just a misunderstanding. What Martin
> meant to say was "After upstream discussion this should get fixed in dk-
> disks after all.", just defining the component in which this will get
> fixed somewhen in the future. It shouldn't mean that the bug is fixed
> already. Of course it will need a software update, so as I siad, please
> be patient until one arrives. Noone said it will be fixed without a
> software update, I just told you a workaround for the meantime.
>
>
>> Guys jumping in and going all negative on people does not help.
>>
>
> Correct, that is why I didn't do it. I jumped in and gave Martin access
> to my box to find the cause of the problem what he did. THAT helped.
> Your dozens of comments without any additional info that mostly contain
> whining on the other hand do NOT help in any way. It just annoys anyone
> who is subscribed to this bug as for every comment you write, a mail is
> sent out. And writing comments in 2 minutes steps without any helpful
> information, even after it was clearly stated that the cause of the
> problem is clear now IS spam. I didn't attack ALL people, I just asked
> you to not spam this bug with unhelpful comments. Instead I actually
> attacked the problem in actively helping to find the root cause by
> giving Martin access to my box what YOU didn't want to provide. That is
> ok, but please don't complain that I attack people instead of the
> problem.
>
> For me, this discussion with you is over now. I will not reply to any
> comment regarding this anymore, so please don't write any, it doesn't
> help and is totally unrelated to this bug.
>
>
The KDE work around works better as it allows the disk to be unmounted,
however I like many tens of thousands of people would like to see the
fix come in an update, and in the mean time many people have reverted to
the older more functional versions in the LTS and 9.04.
Only one of our machines has 9.10 left on it.

Vampire (bjoern-kautler) wrote :

Why don't you read what I write before complaining? Please re-read comment #156. Following it works exactly like that "KDE work around" as I wrote already, just better and without the need of starting some 3rd party software.

 You are spam

Sergio Zanchetta (primes2h) wrote :

@John
Please STOP.

You even sent me two emails on my personal address about this bug and at that time I told you to report here only if you had relevant information about this bug.

Now I gently ask you to not comment anymore because developers have all they need to fix it.

Just wait as the other quietly people here having the same problem are doing.

Sergio Zanchetta wrote:
> @John
> Please STOP.
>
> You even sent me two emails on my personal address about this bug and at
> that time I told you to report here only if you had relevant information
> about this bug.
>
> Now I gently ask you to not comment anymore because developers have all
> they need to fix it.
>
> Just wait as the other quietly people here having the same problem are
> doing.
>
>
I give up.
A couple of you guys spend all your time attacking people and not the
problem.
you think the emails go to you and not to the bug .
So I give up, I will no longer subscribe to this bug, I was the one who
started it, good luck vampire and sergio you guys seem to know
everything so fix it.

Martin Pitt (pitti) wrote :

John [2009-12-16 17:36 -0000]:
> So I give up, I will no longer subscribe to this bug

Pretty please do.

Antec (info-janmob) wrote :

John i like your intresst

Changed in devicekit-disks (Ubuntu Karmic):
importance: Undecided → High
Neil (kingfisher) wrote :

As a dirty workaround, I added my username to floppy group (check box) created a launcher in my system menu: type: Application, Name: Mount Floppy, Command: mount /dev/fd0, Icon: /usr/share/icons/gnome/scalable/devices/3floppy_unmount.svg

patience is required as its slow, but works on my karmic

Neil (kingfisher) wrote :

As a dirty workaround, I added my username to floppy group (check box) created a launcher in my system menu: type: Application, Name: Mount Floppy, Command: mount /dev/fd0, Icon: /usr/share/icons/gnome/scalable/devices/3floppy_unmount.svg

patience is required as its slow, but works on my karmic

Neil (kingfisher) wrote :

As a dirty workaround, I added my username to floppy group (check box) created a launcher in my system menu: type: Application, Name: Mount Floppy, Command: mount /dev/fd0, Icon: /usr/share/icons/gnome/scalable/devices/3floppy_unmount.svg

patience is required as its slow, but works on my karmic

Neil (kingfisher) wrote :

Apologies for multiple post, on 'Post Comment' an error was reported, didn't think post had worked.

I use Puppy Linux 4.3.1 and get a floppy icon working with one click.

Puppy is very easily installed together with ubuntu and Windows; it starts and closes very fast and reads/writes in all 3 systems with no restrictions.

NoOp (glgxg) wrote :

Comment 156 & 171:
https://bugs.launchpad.net/ubuntu/+source/udev/+bug/441835/comments/156
works for me as a workaround. I edited the old gfloppy menu item (from an updated jaunty) to 'mount /dev/fd0' rather than the no longer existent gfloppy in karmic. However, this workaround doesn't resolve system-wide applications, for instance:

1. The replacement for gfloppy is now the GNOME Disk Utility, which doesn't recognize the floppy even when mounted via the above. See:
https://bugs.launchpad.net/ubuntu/+source/gnome-utils/+bug/474938
[Gnome-Utils does not install gfloppy as described]
So it seems that the only way to format a floppy in karmic is to pull in all of the relevent kde lib's and use kfloppy instead of the new GNOME Disk Utility (gnome-disk-utility).

2. The above workaround doesn't resolve the issue of Places|Floppy (changes when you actually mount a floppy & thats another bug) not working unless the floppy is mounted as above. Perhaps that application can simply be modified to use 'mount /dev/fd0'?

3. Ironically, the package: grub-rescue-pc (1.97) promotes:
This package contains two GRUB rescue images that have been built for use with
traditional PC/BIOS architecture:

 - grub-rescue-floppy.img: floppy image.
 - grub-rescue-cdrom.iso: El Torito CDROM image.

  I reckon that package will have a difficult time creating a grub-rescue-floppy.img if karmic (and lucid) can't even comunicate with the floppy in order to create the image...

I've 8 systems that have floppies on my personal network & nearly 100 customers that have (and use) floppies on their Ubuntu systems (not to mention relatives, friends, etc). Failure to find a resolution for this issue affects those, and every system out there that have, and still use, floppies.

I'm happy to provide any additional testing info requested to assist.

NoOp (glgxg) wrote :

Quite by accident I discovered that opening Nautilus in superuser mode: 'gksu nautilus' with a floppy in the drive & floppy notation in fstab[1], automatically mounts floppy0. So it appears that this is a permissions/policy issue?

[1] from my /etc/fstab:
/dev/fd0 /media/floppy0 auto rw,user,noauto,exec 0 0

Karmic 9.10 (Gnome) 2.6.31-18-generic

I confirm, that in my opinion the bug has to do with permissions/policy. The problem exists not only in Nautilus.

In my bug-report (Bug #485684) I have mentioned the possibility, that use of floppy drive from ordinary GUI has been marked bad by the Operating System, because of problems with mounting/unmounting.

(If the OS don't know, that a disk has been removed and another one inserted, then the disk looks unreliable, because the data has changed without reason.)

Martin Pitt (pitti) wrote :

Torkil Olesen [2010-01-22 13:26 -0000]:
> I confirm, that in my opinion the bug has to do with permissions/policy.

No, it really doesn't. Please read the upstream bug for more details.

This is not easy to fix, since few, if any, developers still have a
floppy, and due to how floppies work they are very hard to integrate
into nowaday's hotplugging structure.

The bug is understood, there is no need to confirm it any further.

NoOp (glgxg) wrote :

On 01/22/2010 06:42 AM, Martin Pitt wrote:
...
>
> This is not easy to fix, since few, if any, developers still have a
> floppy, and due to how floppies work they are very hard to integrate
> into nowaday's hotplugging structure.

I've multiple test machines with floppies & would be happy to assist in
providing debugging information if you can point me to who this might be
assigned to. Perhaps David Zeuthen or Scott James Remnant?

bwallum (rbw2) wrote :

This really is a stinker of an old bug. Martin Pitt, this is fixed in other linux distros, in fact it never really became a problem in them. What is needed is some determination and the will to get a grip on it in Ubuntu.

I concur with NoOP that a permissions problem seems to be at the heart of it. I have made launchers to demonstrate how sudo can mount and dismount the floppy drive and hope this helps somebody, somewhere to get a grip!

--------------------------
On the very top panel right click then left click to select 'add to panel'.
Select 'Custom Application Launcher', press the Add button

Set the following fields:-
Type: Application in Terminal
Name: Mount floppy drive
Command: sudo mount /dev/fd0/ media/floppy0 -o user
Comment: Use this short cut to mount the floppy drive

Press OK and a new launcher icon should appear in the top panel.

You can repeat the process to set up a launcher to demount the drive. In this case you could use:

Type: Application in Terminal
Name: Unmount floppy drive
Command: sudo umount /dev/fd0
Comment: Use this short cut to unmount the floppy drive
--------------------------

Count me in to do any testing etc as the dev thinks fit. I can't code or I would volunteer for that.

We can't keep living in denial that this is not a major user turn off by pretending floppy drives are entirely obsolete.

Martin Pitt (pitti) on 2010-02-15
affects: devicekit-disks (Ubuntu Karmic) → udisks (Ubuntu Karmic)
Changed in devicekit:
importance: Unknown → Undecided
status: Confirmed → New
importance: Undecided → Unknown
status: New → Unknown
Changed in devicekit:
status: Unknown → Confirmed

This is regarding gnome-media. There is no Sound Mixer applet on the gnome taskbar and no way to add it in Ubuntu 10.4 32 bit.

This is regarding gnome-media. There is no Sound Mixer applet on the gnome taskbar and no way to add it in Ubuntu 10.4 i386

Testing

Changed in devicekit:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

In Karmic it is still called devicekit-disks, opening this for karmic task.

affects: udev (Ubuntu Karmic) → devicekit-disks (Ubuntu Karmic)
Changed in devicekit-disks (Ubuntu Karmic):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: Invalid → In Progress
Changed in udisks (Ubuntu Karmic):
status: Triaged → Invalid
Changed in udisks (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → Fix Committed
Martin Pitt (pitti) on 2010-03-01
tags: removed: regression-potential

In Lucid the problem seems to be still present

2010/3/1 Martin Pitt <email address hidden>

> ** Tags removed: regression-potential
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Martin Pitt (pitti) wrote :

miky91 [2010-03-01 12:42 -0000]:
> In Lucid the problem seems to be still present

Yes, I'll upload the fix in a bit.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udisks - 1.0.0~git20100227.36c8a4-1

---------------
udisks (1.0.0~git20100227.36c8a4-1) experimental; urgency=low

  * New upstream git snapshot:
    - Move UDISKS_MEDIA_AVAILABLE out of the part table prober, to fix
      handling of floppy mounting (LP: #441835)
    - Improve debug output and support for the detach helper
    - Update detach helper for current sysfs interface
    - Add a --disable-remote-access option
    - Fix missing DKD_ property renames in 80-udisks.rules
  * Add 02-defer_smart_probing.patch: The initial ATA SMART probing in
    device_new() is very expensive (takes about 0.5 s of CPU/IO time on a Dell
    Mini 10). Defer the check by half a minute, so that we don't block CPU/IO
    when we need it much more urgently (on desktop session startup or when
    hotplugging a new device.
 -- Martin Pitt <email address hidden> Mon, 01 Mar 2010 14:03:56 +0100

Changed in udisks (Ubuntu Lucid):
status: Fix Committed → Fix Released

Ok, thank you

2010/3/1 Martin Pitt <email address hidden>

> miky91 [2010-03-01 12:42 -0000]:
> > In Lucid the problem seems to be still present
>
> Yes, I'll upload the fix in a bit.
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Argh, the fix is not sufficient yet. While mounting works now, the floppy is inaccessible, since it is mounted as root.

The reason for this is that there is no blkid being run on a floppy, so that devicekit-disks/udisks does not know about the file system, fs usage, etc., and consequently does not apply an uid/umask flag on mount.

summary: - Clicking on floppy gives "no device media found"
+ Mounting floppies does not work
Changed in devicekit-disks (Ubuntu Karmic):
status: In Progress → Triaged
Martin Pitt (pitti) on 2010-03-01
Changed in udisks (Ubuntu Lucid):
status: Fix Released → Triaged
Martin Pitt (pitti) wrote :

There is no obvious solution for fixing the permissions problem which is robust, nonintrusive, and architecturally sound. It at least requires right-click and "detect media...", before mounting, plus it requires unblacklisting floppies in /lib/udev/rules.d/95-devkit-disks.rules. This should be a slightly more comfortable workaround than having to resort to the command line, though.

Therefore retitling back to original problem.

summary: - Mounting floppies does not work
+ Clicking on floppy gives "no device media found"
Changed in devicekit-disks (Ubuntu Karmic):
assignee: Martin Pitt (pitti) → nobody
Changed in udisks (Ubuntu Lucid):
status: Triaged → Fix Released
malone (vmaxhenry) wrote :

I installed the package "udisks" on ubuntu 10:04 lucid released 01/03/2010. The problem of mounting the floppy remains.
Unable to mount location
No media in drive

FGTR4738 (knyuf56) wrote :

OS Karmic 9.10
Since a recent update approx. today, 03/24/2010, I have had to start using devkit-disks --mount /dev/fd0 to mount a floppy disk rather than mount /media/floppy in order to have a floppy icon appear on the desktop, and in order to have content on the floppy disk appear in /media/floppy0

I am then able to drag/drop and delete fine from /media/floppy0

cong06 (cong06) wrote :

Am I the only one having problems in 9.04?:
http://ubuntuforums.org/showthread.php?p=9055310

cong06 (cong06) wrote :

Am I the only one having problems in 9.04?

http://ubuntuforums.org/showthread.php?p=9055310

Antec (info-janmob) wrote :

Floppy in Lucid is working fine now! Thanks all People who work it whit this bug an fixed this issue in the brand new 10.04!

Ola 441835,

Seu amigo(a) Alax (http://meadd.com/alaxricard) adorou o Meadd e acha que você vai adorar também!

O Meadd é um álbum de fotos onde você encontra pessoas online o tempo todo e faz muitos amigos.

==================================================

Crie a sua página no Meadd em http://meadd.com

==================================================

Nunca mais receber emails do Meadd.com: http://<email address hidden>=663bdb3ba66790e2780195f4aeb0abcb

Andreas Heinlein (aheinlein) wrote :

@Martin Pitt
Where is the fix for the permissions problem in udisks/lucid? Or am I getting something wrong here? Mounting works now (tested with 10.04 final), but permissions on the mountpoint are root:root 0755, i.e. no write for the user. Any patch/workaround would be appreciated.

Andreas Heinlein (aheinlein) wrote :

Where is the fix for the permissions problem in udisks/lucid? Or am I getting something wrong here? Mounting works now (tested with 10.04 final), but permissions on the mountpoint are root:root 0755, i.e. no write for the user. Any patch/workaround would be appreciated.

Andreas Heinlein [2010-04-30 11:33 -0000]:
> Where is the fix for the permissions problem in udisks/lucid? Or am I
> getting something wrong here? Mounting works now (tested with 10.04
> final), but permissions on the mountpoint are root:root 0755, i.e. no
> write for the user.

Right, that's a known bug/limitation right now.

> Any patch/workaround would be appreciated.

You should be able to add /dev/fd0 to /etc/fstab with the "user"
option.

Thank you for your help, but now i've Ubuntu Lucid and it's all OK.

>----Messaggio originale----
>Da: <email address hidden>
>Data: 30-apr-2010 13.32
>A: <email address hidden>
>Ogg: [Bug 441835] Re: Clicking on floppy gives &quot;no device media
found&quot;
>
>@Martin Pitt
>Where is the fix for the permissions problem in udisks/lucid? Or am I getting
something wrong here? Mounting works now (tested with 10.04 final), but
permissions on the mountpoint are root:root 0755, i.e. no write for the user.
Any patch/workaround would be appreciated.
>
>--
>Clicking on floppy gives "no device media found"
>https://bugs.launchpad.net/bugs/441835
>You received this bug notification because you are a direct subscriber
>of the bug.
>
>Status in obsolete project: Fix Released
>Status in GVFS: Unknown
>Status in “devicekit-disks” package in Ubuntu: Invalid
>Status in “linux” package in Ubuntu: Invalid
>Status in “udisks” package in Ubuntu: Fix Released
>Status in “devicekit-disks” source package in Lucid: Invalid
>Status in “linux” source package in Lucid: Invalid
>Status in “udisks” source package in Lucid: Fix Released
>Status in “devicekit-disks” source package in Karmic: Triaged
>Status in “linux” source package in Karmic: Invalid
>Status in “udisks” source package in Karmic: Invalid
>
>Bug description:
>In Karmic GNOME, floppies are detected correctly by linux, udev, devkit-
disks, and gvfs. However, when clicking on the floppy icon in GNOME, you get a
"no medium found" error.
>
>Remote reproducer: gvfs-mount -li
>
> - When you just start that with no other processes running, you get a
correct "volume" for /dev/fd0 ("floppy0").
> - When you start it through dbus-launch, you get a floppy0 "drive" instead,
and no volume
>
>To unsubscribe from this bug, go to:
>https://bugs.launchpad.net/devicekit/+bug/441835/+subscribe
>

Thank you for your help, but now i''ve Ubuntu Lucid and it's all OK.

>----Messaggio originale----
>Da: <email address hidden>
>Data: 3-mag-2010 8.03
>A: <email address hidden>
>Ogg: Re: [Bug 441835] Re: Clicking on floppy gives &quot;no device media
found&quot;
>
>Andreas Heinlein [2010-04-30 11:33 -0000]:
>> Where is the fix for the permissions problem in udisks/lucid? Or am I
>> getting something wrong here? Mounting works now (tested with 10.04
>> final), but permissions on the mountpoint are root:root 0755, i.e. no
>> write for the user.
>
>Right, that's a known bug/limitation right now.
>
>> Any patch/workaround would be appreciated.
>
>You should be able to add /dev/fd0 to /etc/fstab with the "user"
>option.
>
>--
>Clicking on floppy gives "no device media found"
>https://bugs.launchpad.net/bugs/441835
>You received this bug notification because you are a direct subscriber
>of the bug.
>
>Status in obsolete project: Fix Released
>Status in GVFS: Unknown
>Status in “devicekit-disks” package in Ubuntu: Invalid
>Status in “linux” package in Ubuntu: Invalid
>Status in “udisks” package in Ubuntu: Fix Released
>Status in “devicekit-disks” source package in Lucid: Invalid
>Status in “linux” source package in Lucid: Invalid
>Status in “udisks” source package in Lucid: Fix Released
>Status in “devicekit-disks” source package in Karmic: Triaged
>Status in “linux” source package in Karmic: Invalid
>Status in “udisks” source package in Karmic: Invalid
>
>Bug description:
>In Karmic GNOME, floppies are detected correctly by linux, udev, devkit-
disks, and gvfs. However, when clicking on the floppy icon in GNOME, you get a
"no medium found" error.
>
>Remote reproducer: gvfs-mount -li
>
> - When you just start that with no other processes running, you get a
correct "volume" for /dev/fd0 ("floppy0").
> - When you start it through dbus-launch, you get a floppy0 "drive" instead,
and no volume
>
>To unsubscribe from this bug, go to:
>https://bugs.launchpad.net/devicekit/+bug/441835/+subscribe
>

Mikele (mikilion) wrote :

After updated udisks 1.0.1-1build1 to 1.0.1-1ubuntu1 the floppy don't mount in Gnome by clicking on the menu icon.
Retroceding it the floppy back to work.

malone (vmaxhenry) wrote :

Hi, i Have ubuntu Lucid now.

Problem persists.
Unable to mount location
No one ever media in

fstab:
UUID = e0cc9fd9-a734-4e03-b536-6ddfc368c660 none swap sw 0 0
/ Dev/fd0 / media/floppy0 auto rw, user, noauto, exec, utf8 0 0

malone (vmaxhenry) wrote :

Hi, i Have ubuntu Lucid now.
Problem persists.
Unable to mount location
No one ever media in

fstab:
UUID = e0cc9fd9-a734-4e03-b536-6ddfc368c660 none swap sw 0 0
/ Dev/fd0 / media/floppy0 auto rw, user, noauto, exec, utf8 0 0

malone (vmaxhenry) wrote :

Hi, i have ubuntu Lucid now.
Problem persists.
Unable to mount location
No one ever media in

fstab:
UUID = e0cc9fd9-a734-4e03-b536-6ddfc368c660 none swap sw 0 0
/ Dev/fd0 / media/floppy0 auto rw, user, noauto, exec, utf8 0 0

Arrigo Marchiori (ardovm) wrote :

Hi, I can confirm that this bug still exists in Lucid, using udisks 1.0.1-1ubuntu1
I have tried two scenarios: with and without an entry in /etc/fstab for the floppy drive, and I found a funny thing.
I kept the command 'udisks --monitor' running in a separate terminal.

1- without entry in /etc/fstab
  As an user with administrator right, I run the command:
$ sudo mount /dev/fd0 /mnt
  udisks says:
> changed: /org/freedesktop/UDisks/devices/fd0
  and the floppy is correctly mounted into /mnt. Then I run the command:
$ sudo umount /mnt
  udisk says:
> changed: /org/freedesktop/UDisks/devices/fd0
  and the floppy is correctly unmounted.

2- with entry in /etc/fstab
/dev/fd0 /media/floppy0 vfat user,noauto 0 0
  As the same user, I run the command (notice I am not using sudo):
$ mount /media/floppy0
  The mount command returns zero, BUT the disk is immediately, automagically unmounted! udisk says:
> changed: /org/freedesktop/UDisks/devices/fd0
> job-changed: /org/freedesktop/UDisks/devices/fd0
> changed: /org/freedesktop/UDisks/devices/fd0
> job-changed: /org/freedesktop/UDisks/devices/fd0
  The same things happens if I use mount with sudo.

Summary: it is not possible to mount a floppy disk in current Lucid, either double-clicking its icon, or using the mount command inside a terminal.
The only way I can mount the floppy disk is _not_ having it in /etc/fstab and using 'sudo mount'.
Otherwise, the floppy disk is unmounted right after I mount it! See below:

$ mount /media/floppy0 && mount | grep floppy
/dev/fd0 on /media/floppy0 type vfat (rw,noexec,nosuid,nodev,user=amministratore)
$

$ mount /media/floppy0 && sleep 2 && mount | grep floppy
$

The floppy disk is unmounted before 2 seconds!

HTH

Download full text (3.5 KiB)

Mi dispiace ma ho provato i comandi suggeriti e questo è il risultato:
quindi...?
Grazie

.....o@......-desktop:~$ sudo mount floppy
[sudo] password for ....: ..................
mount: impossibile trovare floppy in /etc/fstab o /etc/mtab
.......o@------desktop:~$ $ mount /media/floppy0
$: command not found

>----Messaggio originale----
>Da: <email address hidden>
>Data: 24-giu-2010 17.40
>A: <email address hidden>
>Ogg: [Bug 441835] Re: Clicking on floppy gives &quot;no device media
found&quot;
>
>Hi, I can confirm that this bug still exists in Lucid, using udisks 1.0.1-
1ubuntu1
>I have tried two scenarios: with and without an entry in /etc/fstab for the
floppy drive, and I found a funny thing.
>I kept the command 'udisks --monitor' running in a separate terminal.
>
>1- without entry in /etc/fstab
> As an user with administrator right, I run the command:
>$ sudo mount /dev/fd0 /mnt
> udisks says:
>> changed: /org/freedesktop/UDisks/devices/fd0
> and the floppy is correctly mounted into /mnt. Then I run the command:
>$ sudo umount /mnt
> udisk says:
>> changed: /org/freedesktop/UDisks/devices/fd0
> and the floppy is correctly unmounted.
>
>2- with entry in /etc/fstab
>/dev/fd0 /media/floppy0 vfat user,noauto 0 0
> As the same user, I run the command (notice I am not using sudo):
>$ mount /media/floppy0
> The mount command returns zero, BUT the disk is immediately, automagically
unmounted! udisk says:
>> changed: /org/freedesktop/UDisks/devices/fd0
>> job-changed: /org/freedesktop/UDisks/devices/fd0
>> changed: /org/freedesktop/UDisks/devices/fd0
>> job-changed: /org/freedesktop/UDisks/devices/fd0
> The same things happens if I use mount with sudo.
>
>Summary: it is not possible to mount a floppy disk in current Lucid, either
double-clicking its icon, or using the mount command inside a terminal.
>The only way I can mount the floppy disk is _not_ having it in /etc/fstab and
using 'sudo mount'.
>Otherwise, the floppy disk is unmounted right after I mount it! See below:
>
>$ mount /media/floppy0 && mount | grep floppy
>/dev/fd0 on /media/floppy0 type vfat (rw,noexec,nosuid,nodev,
user=amministratore)
>$
>
>$ mount /media/floppy0 && sleep 2 && mount | grep floppy
>$
>
>The floppy disk is unmounted before 2 seconds!
>
>HTH
>
>--
>Clicking on floppy gives "no device media found"
>https://bugs.launchpad.net/bugs/441835
>You received this bug notification because you are a direct subscriber
>of the bug.
>
>Status in obsolete project: Fix Released
>Status in GVFS: Unknown
>Status in “devicekit-disks” package in Ubuntu: Invalid
>Status in “linux” package in Ubuntu: Invalid
>Status in “udisks” package in Ubuntu: Fix Released
>Status in “devicekit-disks” source package in Lucid: Invalid
>Status in “linux” source package in Lucid: Invalid
>Status in “udisks” source package in Lucid: Fix Released
>Status in “devicekit-disks” source package in Karmic: Triaged
>Status in “linux” source package in Karmic: Invalid
>Status in “udisks” source package in Karmic: Invalid
>
>Bug description:
>In Karmic GNOME, floppies are detected correctly by linux, udev, devkit-
disks, and gvfs. However, when clicking on the floppy ico...

Read more...

On 06/24/2010 08:40 AM, Arrigo Marchiori wrote:
> Hi, I can confirm that this bug still exists in Lucid, using udisks
> 1.0.1-1ubuntu1 I have tried two scenarios: with and without an entry
> in /etc/fstab for the floppy drive, and I found a funny thing. I kept
> the command 'udisks --monitor' running in a separate terminal.

Confirmed on
2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 07:54:58 UTC 2010 i686 GNU/Linux

$ apt-cache policy udisks
udisks:
  Installed: 1.0.1-1ubuntu1
  Candidate: 1.0.1-1ubuntu1
  Version table:
 *** 1.0.1-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
        100 /var/lib/dpkg/status
     1.0.1-1build1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages

peter b (b1pete) wrote :

this comment posted initially on bug #539515 then (today) found this bug that reflects my concerns ; what follows is a copy of those comments :

uname -a
Linux lucidGIGAslow 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

re slayer comment #57 ....'But what if someone (still) uses floppies? A
fix should be nice :)'.....

I am one of them. currently using floppies to boot my pc because of
crippled grub2 on MBR. more on this topic

http://ubuntuforums.org/showthread.php?p=9510496#post9510496
under #537 and under #539

....'this brings up another subject, namely, that for reasons unknown to
me lucid decided to stop displaying the floppy device at all, neither as
an applet on the upper panel or desktop when asked to be mounted nor
when asked to mount it via CLI. example

sudo mount /dev/fd0 /media/floppy0
[sudo] password for peter:
peter@lucidGIGAslow:~$ ls /media/floppy0
peter@lucidGIGAslow:~$

as you could see, no message displayed and nothing present on
/media/floppy0 (floppy dr light lights up). if floppy removal prior to
attempting a purge/rewrite of grub is mandatory then only a physical
device removal possible until a solution can be found to this problem.

some bkgrd re floppy absence/inability to mount - everything was just
fine, floppy device shown on the upper panel and could be mounted UNTIL
an update was carried out that contained (from /var/log/apt/history.log)

Start-Date: 2010-06-21 13:48:12
Upgrade: libcupsppdc1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsimage2 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupscgi1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsdriver1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-client (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-common (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcups2 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-bsd (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsmime1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2)
End-Date: 2010-06-21 13:49:18

lsmod lists floppy and isofs modules. dmesg | tail shows

[ 4782.605787] ISO 9660 Extensions: RRIP_1991A
[ 5060.543755] ISO 9660 Extensions: RRIP_1991A
[ 7482.502125] ISO 9660 Extensions: RRIP_1991A

any idea what these msgs tell me ?. indeed this bootable floppy has
isofs but this does not appear to be the problem, same occurs with
floppy w msdos fs.'......

re Martin Pitt's
gvfs-mount -li

excerpt

Drive(6): Floppy Drive
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
  ids:
   unix-device: '/dev/fd0'
  themed icons: [drive-removable-media-floppy] [drive-removable-media] [drive-removable] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=0
  can_poll_for_media=1
  can_eject=0
  can_start=0
  can_stop=0
  start_stop_type=unknown

I don't know, but probably has_media=0 is not quite right - the floppy
is in the drive since pc powered up (boots off it); can not mount it,
see particulars above.

peter b (b1pete) wrote :

this comment posted initially on bug #539515 then (today) found this bug that reflects my concerns ; what follows is a copy of those comments :

uname -a
Linux lucidGIGAslow 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

re slayer comment #57 ....'But what if someone (still) uses floppies? A fix should be nice :)'.....

I am one of them. currently using floppies to boot my pc because of crippled grub2 on MBR. more on this topic

http://ubuntuforums.org/showthread.php?p=9510496#post9510496
under #537 and under #539

....'this brings up another subject, namely, that for reasons unknown to me lucid decided to stop displaying the floppy device at all, neither as an applet on the upper panel or desktop when asked to be mounted nor when asked to mount it via CLI. example

sudo mount /dev/fd0 /media/floppy0
[sudo] password for peter:
peter@lucidGIGAslow:~$ ls /media/floppy0
peter@lucidGIGAslow:~$

as you could see, no message displayed and nothing present on /media/floppy0 (floppy dr light lights up). if floppy removal prior to attempting a purge/rewrite of grub is mandatory then only a physical device removal possible until a solution can be found to this problem.

some bkgrd re floppy absence/inability to mount - everything was just fine, floppy device shown on the upper panel and could be mounted UNTIL an update was carried out that contained (from /var/log/apt/history.log)

Start-Date: 2010-06-21 13:48:12
Upgrade: libcupsppdc1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsimage2 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupscgi1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsdriver1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-client (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-common (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcups2 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-bsd (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsmime1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2)
End-Date: 2010-06-21 13:49:18

lsmod lists floppy and isofs modules. dmesg | tail shows

[ 4782.605787] ISO 9660 Extensions: RRIP_1991A
[ 5060.543755] ISO 9660 Extensions: RRIP_1991A
[ 7482.502125] ISO 9660 Extensions: RRIP_1991A

any idea what these msgs tell me ?. indeed this bootable floppy has isofs but this does not appear to be the problem, same occurs with floppy w msdos fs.'......

re Martin Pitt's
gvfs-mount -li

excerpt

Drive(6): Floppy Drive
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
  ids:
   unix-device: '/dev/fd0'
  themed icons: [drive-removable-media-floppy] [drive-removable-media] [drive-removable] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=0
  can_poll_for_media=1
  can_eject=0
  can_start=0
  can_stop=0
  start_stop_type=unknown

I don't know, but probably has_media=0 is not quite right - the floppy is in the drive since pc powered up (boots off it); can not mount it, see particulars above.

peter b (b1pete) wrote :

I can confirm that floppy media can not be mounted in lucid

uname -a
Linux lucidGIGAslow 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

sudo mount /dev/fd0 /media/floppy0
[sudo] password for peter:
peter@lucidGIGAslow:~$ ls /media/floppy0
peter@lucidGIGAslow:~$

gvfs-mount -li

excerpt

Drive(6): Floppy Drive
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
  ids:
   unix-device: '/dev/fd0'
  themed icons: [drive-removable-media-floppy] [drive-removable-media] [drive-removable] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=0
  can_poll_for_media=1
  can_eject=0
  can_start=0
  can_stop=0
  start_stop_type=unknown

I don't know, but probably has_media=0 is not quite right - the floppy is in the drive since pc powered up (boots off it); can not mount it, see particulars above.

peter b (b1pete) wrote :

sorry gents for posting three times the same comment, basically.

it happened because after clicking on Post Comment button I was consistently getting a window with a message Error and some u2xxx error code, so I tried to resubmit my comment 3 times every time without any notification that the mssg was written/posted.

this morning I just discovered to my amazement in my e-mail box three notifications showing the messages/comments as posted.

to all, once again, pls accept my apologies.

NoOp (glgxg) wrote :

Peter, backing down to udisks (1.0.1-1build1) fixes the problem. The recent change to udisks:
https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/539515/comments/123
is the regression. I backed down to udisks (1.0.1-1build1) via synaptic (Package|Force Version) and now the floppy mounts properly using 'Places|Floppy Disk'.

peter b (b1pete) wrote :

yes NooP, I can confirm that it does work with this udisks (1.0.1-1build1) package. TU.

I have seen Martin's and Sebastien's posts but I said to myself let me wait a little and see it in the main repos and on updates. then after seeing your post I reread the entire thread and noticed on #123 ...'urgency=low'.... that triggered to operate the package regression to the one above. so far so good; I'll see if has any 'side effects' down the road.

very nifty how it shows floppies with isofs on desktop after mounting - as a CD icon but called floppy0 - I like that, v well thought devs!

it'll be interesting to see how this regression is handled when the time comes to be introduced into the main repos.

thanks and cheerios!

Tibor Bősze (tibor-boesze) wrote :

I have just marked #599915 as a duplicate of this one. For Lucid, the status should be rather incomplete as of udisks version 1.0.1-1ubuntu1, reverting to udisks 1.0.1-1build1 eliminates the regression.

Changed in udisks (Ubuntu Lucid):
status: Fix Released → Incomplete
vmagnin (vincent-magnin) wrote :

Downgrading to udisks (1.0.1-1build1) also solved the problem in my Lucid.
Thank you.

vmagnin (vincent-magnin) wrote :

Downgrading to udisks 1.0.1-1build1 also solved the problem in my Lucid.
Thank you.

vmagnin (vincent-magnin) wrote :

Downgrading to udisks 1.0.1-1build1 also solved the problem in my Lucid. Thank you.

vmagnin (vincent-magnin) wrote :

Downgrading to udisks 1.0.1-1build1 also solved the problem in my Lucid. Thanks.

Ben Clevers (clevers-ben) wrote :

No sound in Ubuntu 10.04 anymore.

Changed in devicekit-disks (Ubuntu Karmic):
assignee: nobody → Ben Clevers (clevers-ben)
Ben Clevers (clevers-ben) wrote :

No sound in Ubuntu 10.04 any more.

Thanks to NoOp, too - 'downgrading' to udisks 1.0.1-1build1 on Lucid gave me access to the files on my USB floppy. I had already removed the floppy module, as others have suggested, to no avail. 'Downgrading' also seems to have brought my DVD reader to life, at least for iso9660 file systems.

NoOp (glgxg) wrote :

OK. I'm confused. Why is this bug marked as Invalid & Fix Released?

It is clear that the "fix" from:
<https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/539515?comments=all>
is a regression & that the only way that users with floppys can get them to work is to back down to udisks 1.0.1-1build1.

Can one of the devs listed in the assigned: Andy Whitcroft and Martin Pitt please explain the status?
I find it odd that Ubuntu would forgo using a valid machine peripheral simply to appease those experiencing longer boot delays (10 to 30 seconds - 539515). A good portion of the world still use floppies.

*Please* resolve this issue.

peter b (b1pete) wrote :

this floppy issue has a v long history - it goes back many releases - on some it works on others it does not.

in my opinion this state of mind that has been publicly expressed by ..... (no names but it is there for everybody to see)

......'You're trying to use a floppy disk, in 2010, and then asking what you're doing wrong!? (-; '....

must stop once and for all.

does this kind of attitude/language serves ubuntu's best interests ? personally I do not think so. my answer to this 'pearl' was ....'sorry ........, not everybody must share your opinions .... as long as a device is present it must be recognized and render operational by the os. it is up to the user whether to use it or not. '......

however, if yes, than let it be known to all concerned that ubuntu does not support/has anything to do with any kind of floppy devices - they'll be pure and simple ignored.

is t

Martin Pitt (pitti) wrote :

NoOp [2010-08-31 2:20 -0000]:
> Can one of the devs listed in the assigned: Andy Whitcroft and
> Martin Pitt please explain the status?

You already summarized it pretty well. None of the devs have a floppy
disk, so debugging them is a pain (as much of a pain as floppy disks
are in the first place..) Personally, the last one I had was 2002..

So for now, I'm afraid that you have to use an older Ubuntu release
for now, or use the downgraded version for a while.

I'm sorry that this isn't the answer you are looking for, but it's the
current situation.

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

peter b (b1pete) wrote :

Martin, I fully understand, from your angle - developer -, your personal opinion/point of view re ...'(as much of a pain as floppy disks are in the first place..)'....

however, I'm kindly asking you to make the effort and look at this issue from user's point of view as well as ubuntu's os present and future community needs and wishes.

It is a fact of life, like it or hate it, that floppy devices/floppy disks are still the primary devices most used in bootloaders/os recovery (all major ones fit very nicely on 1.44 floppies for this very reason), BIOS upgrade operations, and many, many other operations and reasons (for sure/I am convinced that you're aware of them, cost, elegance of code etc among them; there's no reason to list them all here).

all major pc manufacturers recognize the importance of floppy devices for the very reasons above listed and have floppy drives interfaces built on their motherboards; there are portable floppy drives that use usb interfaces for laptops/notebooks. sure there are users/oem's do not want/consider that such devices should be installed in the first place - it is their choice and they have to live with that. in this case, as said above ....'You're trying to use a floppy disk, in 2010, and then asking what you're doing wrong!? (-; '.... no doubt applies.

but, at the same time, there is a sizable number of users in the community that do have floppy devices installed and want to use them for their own reasons - it is their choice and I feel that that should be respected. so, the question is - should/must this community of users be deprived to enjoy the benefits of the very choice they made ? because the os, for whatever reason, does not recognize/configure properly the device ?.

Martin, going back to ...'None of the devs have a floppy disk, so debugging them is a pain'.... issue is a problem, then please allow me to offer you and Sebastien, (the two devs that I retain from this thread), two floppy drives complete with interface cables and 10 floppy diskettes absolutely free, just for the purpose of testing and debugging. or even faster and to the point action, please acquire locally in Germany the two floppy kits mentioned and send me an e-mail what the total cost was and I will cheerfully and immediately mail you a personal cheque of that amount. TU.

Martin Pitt (pitti) wrote :

Hello Peter,

peter b [2010-08-31 17:36 -0000]:
> Martin, going back to ...'None of the devs have a floppy disk, so
> debugging them is a pain'.... issue is a problem, then please allow me
> to offer you and Sebastien, (the two devs that I retain from this
> thread), two floppy drives complete with interface cables and 10 floppy
> diskettes absolutely free, just for the purpose of testing and
> debugging. or even faster and to the point action, please acquire
> locally in Germany the two floppy kits mentioned and send me an e-mail
> what the total cost was and I will cheerfully and immediately mail you a
> personal cheque of that amount. TU.

Thanks for the offer. However, I'm being paid for developing Ubuntu,
so if I'd get floppy drives, I'd certainly pay for them myself, or
expense them. Anyway, it'll be very hard to try and fit an IDE floppy
disk into a laptop :-), so at most this could be an USB drive; no idea
whether these are broken as well.

I guess another option would be to use kvm and an emulated drive.

So this by and large requires someone to spend half a day on. We
already tried to fix this twice, and each time it broke something
else. This is a really hard problem, I'm afraid, due to how floppies
work (or more importantly, what they are missing -- media change
interrupts).

FGTR4738 (knyuf56) wrote :

We've been following this bug just about since it was first reported. We are still using 9.10 with a workaround to support our floppy drivers. We have cameras that were about $1k each when new, still in use, but use a floppy drive, so it's not cost effective for us to stop using floppy drives. Hence, we are still at 9.10.

It appears to us that probably Ubuntu has no intention to support floppy drives. If so, it seems to us this should be clearly stated by Ubuntu. Right now, many are in the dark on this thinking this will eventually be fixed. If we knew it was definitely not going to be fixed it would make it easier to plan for the future.

In our opinion not fixing it because of a 1/2 days labor for a fix is not good, but it would be nice to have a solid direction from Ubuntu on this.

Thanks

Bob Kline (bkline) wrote :

  On 8/31/2010 2:01 PM, Martin Pitt wrote:
> .... it'll be very hard to try and fit an IDE floppy
> disk into a laptop :-), so at most this could be an USB drive; no idea
> whether these are broken as well.

Yep, same problem as with IDE floppy drives.

--
Bob Kline
http://www.rksystems.com
mailto:<email address hidden>

Ben Clevers (clevers-ben) wrote :

2010/8/31 NoOp <email address hidden>

> OK. I'm confused. Why is this bug marked as Invalid & Fix Released?
>
> It is clear that the "fix" from:
> <https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/539515?comments=all
> >
> is a regression & that the only way that users with floppys can get them to
> work is to back down to udisks 1.0.1-1build1.
>
> Can one of the devs listed in the assigned: Andy Whitcroft and Martin Pitt
> please explain the status?
> I find it odd that Ubuntu would forgo using a valid machine peripheral
> simply to appease those experiencing longer boot delays (10 to 30 seconds -
> 539515). A good portion of the world still use floppies.
>
> *Please* resolve this issue.
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a bug assignee.
>
> Status in obsolete project: Fix Released
> Status in GVFS: Unknown
> Status in “devicekit-disks” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Invalid
> Status in “udisks” package in Ubuntu: Fix Released
> Status in “devicekit-disks” source package in Lucid: Invalid
> Status in “linux” source package in Lucid: Invalid
> Status in “udisks” source package in Lucid: Incomplete
> Status in “devicekit-disks” source package in Karmic: Triaged
> Status in “linux” source package in Karmic: Invalid
> Status in “udisks” source package in Karmic: Invalid
>
> Bug description:
> In Karmic GNOME, floppies are detected correctly by linux, udev,
> devkit-disks, and gvfs. However, when clicking on the floppy icon in GNOME,
> you get a "no medium found" error.
>
> Remote reproducer: gvfs-mount -li
>
> - When you just start that with no other processes running, you get a
> correct "volume" for /dev/fd0 ("floppy0").
> - When you start it through dbus-launch, you get a floppy0 "drive"
> instead, and no volume
>
> Dear Sir,
>

In the meantime I succeeded to solve the problem, I had to chance the
address in Ubuntu and now the sound works again.

Thanks for the trouble I made you.

With kind regards,

Ben Clevers.

peter b (b1pete) wrote :

Martin, nice to hear from you. after the above little digression back to the task at hand

....'so at most this could be an USB drive; no idea whether these are broken as well.'....

I have an eeePC900 and eeePC1000 both with SSD's as well as an acer laptop with amd64; all have the main lucid release udisks version installed NOT the regression to ....build1 (none of these 3 have any floppy drive/controller built in). the usb floppy drive that I'm using is a Sony model MPF82E and it was approx $25.

as you know, the usb floppy drives are enumerated and mapped to /dev/sdX and they work flawless on all 3 pc's - they can boot off floppy diskettes, can make recovery floppies etc with no problems whatsoever. the bios on all 3 pc's above support booting off floppies if esc entered at post.

on the desktop pc's where the floppy drives are connected to the mb floppy controller (this is the typical basic office pc found in probably 99% of companies and homes), the situation is a different , only the regression to udisks .....build1 enables and configures properly the device so that it can be used. my guess is that when the the mb interfaces are probed, the installed/uninstalled devices are enumerated and configured something is going amiss. the floppy drives from what I remember have a 34 pin interface, different than ide that I think has 40. from dmidecode I get this

Port Connector Information
 Internal Reference Designator: FDD
 Internal Connector Type: On Board Floppy
 External Reference Designator:
 External Connector Type: None
 Port Type: 8251 FIFO Compatible

as said in my #228 so far so good - my pc did not manifest any 'side effects' after the regression.

just a humble opinion Martin, I feel that every effort should be made to get this issue solved, as I said, once and for all, doesn't matter how hard it is and what it takes. I say this for the benefit of the community and ubuntu. It is v v hard to accept not only by me but I fell by a v sizable part of the community, that proprietary os's can do it and linux has problems with a basic device such as a floppy drive.

Martin, I'm always here and help you with testing and debugging whenever needed, just let me know.

Martin Pitt (pitti) on 2010-09-01
Changed in udisks (Ubuntu Lucid):
assignee: Martin Pitt (pitti) → nobody
status: Incomplete → Triaged
Changed in udisks (Ubuntu):
status: Fix Released → Triaged
vmagnin (vincent-magnin) wrote :

To participate to the debate, sure the floppy is obsolete. But think to elder people who continue to use floppies: my 77 year old father is using ubuntu for several years and he is more comfortable with floppies than usb keys. It's like that, to follow new technologies can be very tiring or uninteresting for elder people...

And think also to poor countries where some people are perhaps happy to recycle old PCs of rich countries. Perhaps they use floppies ?

And surely a certain number of public schools in rich countries use old recycled PCs to teach little children.

So floppy technology is osbolete but perhaps more largely used than we could think. Ubuntu being "linux for human beings", my modest opinion is that it should still support floppies.

Sincerely yours
Vincent

peter b (b1pete) wrote :

Martin, looking through some manuals I found the fdd pin assignment on an intel mb (.pdf file attached); thought that it may help.

Johnathon Weare (jrweare) wrote :

Either:
1. release notes must include issue of deprecated support for floppies
(does not work), or
2. bug must be prioritised accordingly

If 2., then I suggest a high priority as floppies are actively used for:
a) BIOS updates
b) legacy files
c) supported has not been dropped by other equivalent OSs (I think)

J

On 1 September 2010 07:56, Martin Pitt <email address hidden> wrote:
> ** Changed in: udisks (Ubuntu Lucid)
>       Status: Incomplete => Triaged
>
> ** Changed in: udisks (Ubuntu Lucid)
>     Assignee: Martin Pitt (pitti) => (unassigned)
>
> ** Changed in: udisks (Ubuntu)
>       Status: Fix Released => Triaged
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a direct subscriber
> of the bug.
>

NoOp (glgxg) wrote :

Perhaps not related to this bug & I'll file a new one once this bug is sorted out if it's not, but I noticed that on a fully updated 10.4.1 Lucid (with the exception of udisks) I can no longer format a floppy via 'System|Administration|Disk Utility' or via Kfloppy, or Nautilus. When attempting to format to FAT via any of those I get:
Error creating file system: helper exited with exit code 1: Error calling fsync(2) on /dev/fd0: Input/output error

The only way that I can now format the floppy is using '$ usermount' provided via:
$ apt-cache policy usermode
usermode:
  Installed: 1.102-0.1
  Candidate: 1.102-0.1
  Version table:
 *** 1.102-0.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
        100 /var/lib/dpkg/status
http://packages.ubuntu.com/lucid/usermode

That is of course in combination with:
$ apt-cache policy udisks
udisks:
  Installed: 1.0.1-1build1
  Candidate: 1.0.1-1ubuntu1
  Version table:
     1.0.1-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
 *** 1.0.1-1build1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Interesting that usermode works & the others do not.

Tibor Bősze (tibor-boesze) wrote :

I believe the situation is not so hopeless as some might feel. As I have stated i bug #599915:

Workaround: Mounting the floppy with the command "udisks --mount /dev/fd0" completes successfully, the mount shows up in /etc/mtab and the GUI also displays the icon, the floppy can be browsed etc, everything works. But there is no other (graphical) way to mount the floppy with udisks of version 1.0.1-1ubuntu1. At least I have not found any way to do so.

I do not want to suggest that going to the terminal should be the preferred way of mounting a floppy. I merely want to state that the command works, and one would have to analyze how comes the difference in behavior between running this command and clicking the GUI. It is backed by the same subsystem after all.

Addressing usability concerns, one can create a simple script with error handling / friendly popup messages, and put an icon onto the Desktop for any user who is not comfortable with commandline. Of course this is not more than a workaround.

I hope this helps.

Tibor Bősze (tibor-boesze) wrote :

I believe the situation is not as hopeless as some might feel. As I have
stated i bug #599915:

Workaround: Mounting the floppy with the command "udisks --mount /dev/fd0"
completes successfully, the mount shows up in /etc/mtab and the GUI also
displays the icon, the floppy can be browsed etc, everything works. But
there is no other (graphical) way to mount the floppy with udisks of version
1.0.1-1ubuntu1. At least I have not found any way to do so.

I do not want to suggest that going to the terminal should be the preferred
way of mounting a floppy. I merely want to state that the command works, and
one would have to analyze how comes the difference in behavior between
running this command and clicking the GUI. It is backed by the same
subsystem after all.

Addressing usability concerns, one can create a simple script with error
handling / friendly popup messages, and put an icon onto the Desktop for any
user who is not comfortable with commandline. Of course this is not more
than a workaround.

I hope this helps.

Cheers,
   Tibor

Arrigo Marchiori (ardovm) wrote :

In response to Tibor Bősze, comment #253:

>I do not want to suggest that going to the terminal should be the preferred
> way of mounting a floppy. I merely want to state that the command works, and
> one would have to analyze how comes the difference in behavior between
> running this command and clicking the GUI. It is backed by the same subsystem after all.

If I understood correctly, the latest udisks version always reports that "no media is present" in the floppy disk drives.

I suppose that when you click the floppy icon, Gnome asks usdisks if there is media in the drive. And the answer is always no.
The command "udisks --mount /dev/fd0" probably does not do the media check, and that is why it works.

See bug #539515 for the reasons behind the latest udisks patch.

Tibor Bősze (tibor-boesze) wrote :

> I suppose that when you click the floppy icon, Gnome asks usdisks if there is
> media in the drive. And the answer is always no.
> The command "udisks --mount /dev/fd0" probably does not do the media check,
> and that is why it works.

This is exactly my point. If clicking the floppy icon if Gnome "called" udisks the very same way the command "udisks --mount /dev/fd0" does, this bug would be fixed. This could either be addressed in udisks itself (to make the two types of invocations behave the same way) or Gnome (to issue a call that is in behavior identical to the command that is working properly).

bert07 (marien.bert) wrote :

Running Lucid desktop amd64.

I have the same problem.

Downgrading udisks helps, but is not really a solution.

bert07 (marien.bert) wrote :

Running Lucid desktop amd64.

I have the same problem.

Downgrading "udisks" helps, but is not really a solution.

bert07 (marien.bert) wrote :

Running Lucid desktop amd64.

I have the same problem.

Downgrading usdisks helps, but is not really a solution.

Changed in devicekit:
importance: Unknown → Medium
Changed in gvfs:
importance: Unknown → Medium

Created attachment 38816
udisks --dump

I'm using Gentoo's udisks-1.0.1-r2, which is effectively udisks-1.0.1 plus the "Update to latest LVM2 API" patch (commit 2b2fcf80841972b70ad695a5a1ed74487d4fd37a) and the "Fix long hangs on probing nonexistant floppy drives" patch (commit ca93d4e2d9e7f483b2fde1725da086e2cca44164). The problem is with the latter patch.

If udisks-daemon is running, then after using the 'mount' command to mount a filesystem on an inserted floppy disk, the mount succeeds, but immediately afterwards, udisks-daemon steps in and forcibly unmounts it again! The problem seems to be due to the handling of media change notification. The "Fix long hangs on probing nonexistant floppy drives" patch modifies update_info() in "src/device.c" so that the device_is_media_available flag is always set to FALSE for a (removable) floppy drive. Consequently, the file system gets forcibly unmounted because udisks-daemon thinks the mounted medium has gone away!

Mounting the floppy with the 'udisks --mount' command works, but it ought to be possible to use the regular 'mount' command.

Created attachment 38817
udevadm info --export-db

Created attachment 38818
udevadm info --export-db

Created attachment 38821
/proc/self/mountinfo

Created attachment 38822
/proc/self/mountinfo

Created attachment 38823
udevadm info --export-d

Created attachment 38824
/etc/fstab

Versions:

udisks-1.0.1 plus "Update to latest LVM2 API" and "Fix long hangs on probing nonexistant floppy drives" patches (commits 2b2fcf80841972b70ad695a5a1ed74487d4fd37a and ca93d4e2d9e7f483b2fde1725da086e2cca44164).

gvfs-1.6.3

libatasmart-0.17

Created attachment 38825
Output of 'udisks --monitor-detail' while mounting floppy

'gvfs-mount -oi' didn't capture anything.

'udevadm monitor --udev --property' (as root) didn't capture anything useful, just the following...

monitor will print the received events for:
UDEV - the event which udev sends out after rule processing

(Sorry for all the obsoleted attachments. Firefox was playing silly buggers and attaching the file above the one I selected.)

tags: added: maverick

Unfortunately, this issue is alive and exists in Ubuntu Maverick Meerkat. There appears to be no way to mount a floppy disk in Maverick, all attempts result in "No media found". The drive exists in both 'Places' and when opening 'Places -> Computer'. There is an entry in /etc/fstab for the floppy, as well as a directory in /media. Commenting out the /etc/fstab and restarting the system does not allow mounting. Trying to mount by opening a terminal and typing:
     sudo mount /dev/fd0 /media/floppy0
gives no error messages, but does not result in the floppy disk being recognized.

NoOp (glgxg) wrote :

Temporary workaround:

Download 1.0.1-1build1 from here:
https://launchpad.net/ubuntu/+source/udisks
Select the 1.0.1-1build1 and download your processor version; example
for 32bit:

<https://launchpad.net/ubuntu/+archive/primary/+files/udisks_1.0.1-1build1_i386.deb>

In Maveric: open a terminal to the download &:

$ sudo dpkg -i udisks_1.0.1-1build1_i386.deb

You'll then need to pin the package in Synaptic and apt-get. To pin in apt-get:
$ sudo -s
[your password]
# echo udisks hold | dpkg --set-selections
# exit
$ sudo apt-get update && sudo apt-get upgrade

Now when you use apt-get & have updates, you'll see:
Reading state information... Done
The following packages have been kept back:
udisks

To un-pin it (don't forget to do it in Synaptic as well):
$ sudo -s
[your password]
# echo udisks install | dpkg --set-selections
# exit
$ sudo apt-get update && sudo apt-get upgrade

Tested on 32bit 10.10 & usual disclaimer applies: use at your own risk.

peter b (b1pete) wrote :

well gents, it appears that the floppy issue is still alive in maverick; yesterday maverick amd64 final release installed and .... only the ...1build1 package is making the floppy problems disappear. is there a chance to get this working package in the main maverick repos ?

I used it for months on lucid without any apparent 'side effects'; are there any reasons to hold it back on maverick ?

Martin Pitt (pitti) wrote :

peter b [2010-10-11 17:02 -0000]:
> I used it for months on lucid without any apparent 'side effects'; are
> there any reasons to hold it back on maverick ?

Yes, see bug 539515 and previous comments here.

peter b (b1pete) wrote :

yes Martin, I fully understand your

.....'Thus
the BIOS and Linux still detect a /dev/df0, but once you want to talk
to it, there is never an answer (because there is no floppy behind
it), and thus the calls just time out.'.....

from #539515; I'm not a dev but logically thinking I ask myself though - would it be possible to put a timer of, say of 3-4 seconds (which is probably quite reasonable) to wait for an answer (iterations) on the call to the floppy device and based on the y or n received to configure/not configure the the device ?

psl (slansky) wrote :

U10.10, i386

I cannot mount floppy disk. No error but disk is not mounted.

$ sudo mount /media/floppy0/
mount: block device /dev/fd0 is write-protected, mounting read-only

$ mount | grep media

$ sudo umount /media/floppy*
umount: /media/floppy: not mounted
umount: /media/floppy0: not mounted

$ grep floppy /etc/fstab
/dev/fd0 /media/floppy0 auto rw,user,noauto,exec,utf8 0 0

psl (slansky) wrote :

I forget to notice that I think that floppy drive is OK, this is my evidence:

$ sudo dd if=/dev/fd0 | hexdump -C | head
00000000 eb 3c 90 4d 53 44 4f 53 35 2e 30 00 02 01 01 00 |.<.MSDOS5.0.....|
00000010 02 e0 00 40 0b f0 09 00 12 00 02 00 00 00 00 00 |...@............|
00000020 00 00 00 00 00 00 29 d1 29 7d 98 4e 4f 20 4e 41 |......).)}.NO NA|
00000030 4d 45 20 20 20 20 46 41 54 31 32 20 20 20 33 c9 |ME FAT12 3.|
00000040 8e d1 bc f0 7b 8e d9 b8 00 20 8e c0 fc bd 00 7c |....{.... .....||
00000050 38 4e 24 7d 24 8b c1 99 e8 3c 01 72 1c 83 eb 3a |8N$}$....<.r...:|
00000060 66 a1 1c 7c 26 66 3b 07 26 8a 57 fc 75 06 80 ca |f..|&f;.&.W.u...|
00000070 02 88 56 02 80 c3 10 73 eb 33 c9 8a 46 10 98 f7 |..V....s.3..F...|
00000080 66 16 03 46 1c 13 56 1e 03 46 0e 13 d1 8b 76 11 |f..F..V..F....v.|
00000090 60 89 46 fc 89 56 fe b8 20 00 f7 e6 8b 5e 0b 03 |`.F..V.. ....^..|

Created attachment 39751
simple patch

plz, test this patch !

Changed in udev:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
Changed in linux:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
Sergio Zanchetta (primes2h) wrote :

Now the upstream bug is correctly linked.
Sorry for the mess.

(In reply to comment #12)
> Created an attachment (id=39751) [details]
> simple patch
>
> plz, test this patch !

I'm sure that would work as it revokes commit 2b2fcf80841972b70ad695a5a1ed74487d4fd37a ("Fix long hangs on probing nonexistant floppy drives"), but then a less crude fix for the "long hangs probing" problem would be required.

(In reply to comment #13)
> (In reply to comment #12)
> > Created an attachment (id=39751) [details] [details]
> > simple patch
> >
> > plz, test this patch !
>
> I'm sure that would work as it revokes commit
> 2b2fcf80841972b70ad695a5a1ed74487d4fd37a ("Fix long hangs on probing
> nonexistant floppy drives"), but then a less crude fix for the "long hangs
> probing" problem would be required.

Sorry, my mistake, Atlant! My above comment is wrong. I'll try your patch.

Created attachment 39761
'udisks --monitor-detail' with Atlant's patch

(In reply to comment #12)
> Created an attachment (id=39751) [details]
> simple patch
>
> plz, test this patch !

I've tested your patch and it works for me! I've attached the output of 'udisks --monitor-detail' with udisks-daemon running (compiled from git head plus your patch (id=39751)). The output is a result of a 'mount /mnt/floppy' command, where /mnt/floppy is listed as the mount point of /dev/fd0 in my /etc/fstab file:

/dev/fd0 /mnt/floppy auto noauto,user 0 0

The floppy was mounted successfully and no longer forcibly unmounted by udisks-daemon immediately after. I could also unmount the floppy and mount it again with no problems.

I don't know what effect your patch has on the "long hangs on probing nonexistant floppy drives" fix as I couldn't reproduce the problem on a stock udisks-1.0.1 installation on my system even when the floppy drive was unplugged from its controller.

(In reply to comment #15)
> I don't know what effect your patch has on the "long hangs on probing
> nonexistant floppy drives" fix as I couldn't reproduce the problem on a stock
> udisks-1.0.1 installation on my system even when the floppy drive was unplugged
> from its controller.

The patch against the "long hangs on probing
> nonexistant floppy drives" is already applied in GIT, several lines above my changes

(In reply to comment #16)
> (In reply to comment #15)
> > I don't know what effect your patch has on the "long hangs on probing
> > nonexistant floppy drives" fix as I couldn't reproduce the problem on a stock
> > udisks-1.0.1 installation on my system even when the floppy drive was unplugged
> > from its controller.
>
> The patch against the "long hangs on probing
> nonexistant floppy drives" is already applied in GIT, several lines above my changes

I was just trying to check that your patch didn't regress the "long hangs" bug as it's in the same function.

mohican (mohican) wrote :

Confirm this bug under Maverick.

Media is detected correctly from a live-CD of Mandriva 2010.1

Nestor (nestor-esther) wrote :

Ubuntu 10.10 new installation
disquette display a messg: "could not be mounted, no support in the unit", no way I can enter it with genome.

I can copy and erase files in the disquette using the terminal.

I can copy and erase files using sudo nautilus,
openning /media and using the carpet floppy (under TYPE there is a label: "link to the carpet")

If I click on the sign

findings:
/media: floppy (clear blue) and floppy0 (dark blue)
/dev: fd0

nautilus:

Nestor (nestor-esther) wrote :

Ubuntu 10.10 new installation
disquette display a messg: "could not be mounted, no support in the unit", no way I can enter it with genome.

I can copy and erase files in the disquette using the terminal.

NAUTILUS
I can copy and erase files using sudo nautilus, but I have to click in the carpet named floppy in the right window of nautilus.
openning /media and using the carpet floppy (under TYPE there is a label: "link to the carpet")

In the window at the left, there is display of places:
root
Desk
File system
Network
cdrom0
floppy0
wastebasket

Clicking in floppy0 gives: "could not be mounted, no support in the unit"

WEIRD

findings:
/media: floppy (clear blue) and floppy0 (dark blue)
/dev: fd0
lsmod shows: floppy 54311 0

So, I think it may be a problem of symbolic links pointing to the wrong targets.

I do not have any idea how to change that.

Any help would be appreciated, thanks

Nestor (nestor-esther) wrote :

After losing the use to the diskette, today I found myself with the following surprise:

I have 1 DVD Write/Read
1 have 1 DVD / CDROM Write/Read

Genome ignore both of them

in /dev I have
fd0
sr0
sr1
scd0
scd1

in fstab

/dev/scd0 /media/cdrom0 udf,iso9660 user,noauto,exec,utf8 0 0
/dev/scd1 /media/cdrom1 udf,iso9660 user,noauto,exec,utf8 0 0

/dev/fd0 /media/floppy0 auto rw,user,noauto,exec,utf8 0 0

The disk utility of Ubuntu recognize both units but points out:

smart state: no support

I have a partition with WinXP, and the disquette and the DVD and DVD/CDROM work very well

any help? A virus?

Nestor (nestor-esther) wrote :

I did a new install of Ubuntu 10.10 Maverick
I can not mount the floppy, the situation remains the same.

Solution:
given that is not a fix available
given that the floppy is an obsolete media, by today's standards.....
given that the DVD and the DVD/CDROM works.....as long I don't try games with udisks and related soft...

The conclusion: I give up the floppys. All of them to the wastecan.

Thanks to all

Try following command udisks --mount /dev/fd0 floppy in the drive.
Floppy icon appears.

To format and clean the floppy try mformat a:

Works fine in my desktop with ubuntu 10.04lts

Thank you very much, it works fine

Great!

2010/11/5 Seppo Aarnio <email address hidden>

> Try following command udisks --mount /dev/fd0 floppy in the drive.
> Floppy icon appears.
>
> To format and clean the floppy try mformat a:
>
> Works fine in my desktop with ubuntu 10.04lts
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in obsolete project: Fix Released
> Status in GVFS: Unknown
> Status in The Linux Kernel: Invalid
> Status in udev - /dev/ management daemon: Invalid
> Status in abstraction for enumerating and managing block devices: Unknown
> Status in “devicekit-disks” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Invalid
> Status in “udisks” package in Ubuntu: Triaged
> Status in “devicekit-disks” source package in Lucid: Invalid
> Status in “linux” source package in Lucid: Invalid
> Status in “udisks” source package in Lucid: Triaged
> Status in “devicekit-disks” source package in Karmic: Triaged
> Status in “linux” source package in Karmic: Invalid
> Status in “udisks” source package in Karmic: Invalid
>
> Bug description:
> In Karmic GNOME, floppies are detected correctly by linux, udev,
> devkit-disks, and gvfs. However, when clicking on the floppy icon in GNOME,
> you get a "no medium found" error.
>
> Remote reproducer: gvfs-mount -li
>
> - When you just start that with no other processes running, you get a
> correct "volume" for /dev/fd0 ("floppy0").
> - When you start it through dbus-launch, you get a floppy0 "drive"
> instead, and no volume
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/devicekit/+bug/441835/+subscribe
>

Nestor (nestor-esther) wrote :

Just to help the spanish speaking ubuntu users, I wrote a webpage about
the solution to the bug 441835t:

http://tayrona.org/ubuntu/No.se.pudo.montar.el.lugar.html

thanks again to Seppo for his help

Could it be possible to put the command:

*udisks --mount /dev/fd0*

 in a script so it can be executed from a icon placed in the top panel?

If so, would you be kind enough to email it to me?

Thanks again

2010/11/5 Seppo Aarnio <email address hidden>

> Try following command udisks --mount /dev/fd0 floppy in the drive.
> Floppy icon appears.
>
> To format and clean the floppy try mformat a:
>
> Works fine in my desktop with ubuntu 10.04lts
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>

in a terminal I wrote:

*nano samplescript.sh*

it opens an editor, in the blank space I wrote:

*#!/bin/sh
**udisks --mount /dev/fd0

*then I saved* *the file in a carpet I named as Ubuntu.scripts as*
mountingfloppy.sh
*
Again in the terminal i give it the permits*
*
*chmod 777 **mountingfloppy.sh

*And then I placed an icon in the top panel executing this script*.

It works fine.

*The idea came after reviewing* *some multitask scripts*, *just after I sent
you an email asking for this sort of thing.*

*Sorry for the trouble. *
**

*

2010/11/9 Nestor Nunez <email address hidden>

> Could it be possible to put the command:
>
> *udisks --mount /dev/fd0*
>
> in a script so it can be executed from a icon placed in the top panel?
>
> If so, would you be kind enough to email it to me?
>
> Thanks again
>
>
>
> 2010/11/5 Seppo Aarnio <email address hidden>
>
>> Try following command udisks --mount /dev/fd0 floppy in the drive.
>> Floppy icon appears.
>>
>> To format and clean the floppy try mformat a:
>>
>> Works fine in my desktop with ubuntu 10.04lts
>>
>> --
>> Clicking on floppy gives "no device media found"
>> https://bugs.launchpad.net/bugs/441835
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>>

Floppy working in a live cd xubuntu 10.10

I have tried xubuntu 10.10 from live cd and got a floppy icon on the desktop. It could be mounted, opened and I could read a file, but not write (only root permission).
Later I have installed xubuntu desktop in an ubuntu 10.10 version. Here the floppy could not be mounted, and properties of the floppy drive says 8.9 GB free ???
I think this gives one more hint about the bug, which Canonical has not been able to solve during more than a year.

On the same Pc I have during a year used Poppy Linux 4.3.1., which starts from cd, works very fast from memory and have no problems with floppies.

Download full text (3.6 KiB)

I use Ubuntu 10.10, 32-bit, computer i.386

I mount the floppy with the command:

(suggested by Seppo Aarnio)

udisks --mount /dev/fd0

I Click on the icon that appears on the desktop screen,
it opens a blank window

I pick up any file (smaller that 1MB, example an image.jpg) and I drop it on
the blank window.(Or drop it on the floppy icon) It stay there.

Then I check it by openning it with gimp or an image viewer, and it works.

I umount the floppy, take it out, put it back again, mount it

Then I check it by openning it with gimp or an image viewer, and it works
very well.

I can erase the file as a normal user.

I do all of this as user. Never as root.

Then to format the floppy, first I unmount it

second, I open a terminal and as root:

sudo mformat a:

and the floppy is formatted.
--------------------------------------------------

NOW the TEST, i use a live cd (ubuntu 10.10)....and I can read the floppy
content BUT I can NOT WRITE on it as normal user. I can write in it or erase
the files using sudo, like you wrote.

--------------------------------------------------

Probably the problem with the floppy recognition and function is the same
with the installed Ubuntu 10.10, I have to use a command new to the software
of Ubuntu 10.10 in order that the distro recognize the floppy. But for a
reason that I don't know the solution for the installed version does not
work 100% in the live installation. Maybe it is due to a partial install of
drivers in the live cd.

Sorry I can not help.

2010/11/10 Torkil Olesen <email address hidden>

> Floppy working in a live cd xubuntu 10.10
>
> I have tried xubuntu 10.10 from live cd and got a floppy icon on the
> desktop. It could be mounted, opened and I could read a file, but not write
> (only root permission).
> Later I have installed xubuntu desktop in an ubuntu 10.10 version. Here the
> floppy could not be mounted, and properties of the floppy drive says 8.9 GB
> free ???
> I think this gives one more hint about the bug, which Canonical has not
> been able to solve during more than a year.
>
> On the same Pc I have during a year used Poppy Linux 4.3.1., which
> starts from cd, works very fast from memory and have no problems with
> floppies.
>
> --
> Clicking on floppy gives "no device media found"
> https://bugs.launchpad.net/bugs/441835
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in obsolete project: Fix Released
> Status in GVFS: Unknown
> Status in The Linux Kernel: Invalid
> Status in udev - /dev/ management daemon: Invalid
> Status in abstraction for enumerating and managing block devices: Unknown
> Status in “devicekit-disks” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Invalid
> Status in “udisks” package in Ubuntu: Triaged
> Status in “devicekit-disks” source package in Lucid: Invalid
> Status in “linux” source package in Lucid: Invalid
> Status in “udisks” source package in Lucid: Triaged
> Status in “devicekit-disks” source package in Karmic: Triaged
> Status in “linux” source package in Karmic: Invalid
> Status in “udisks” source package in Karmic: Invalid
>
> Bug description:
> In Karmic GNOME, floppies are...

Read more...

Guys I do NOT care what you at UBUNTU are smoking but it must be good.

After reading good part of this, it is clear to me that Floppy support is BROKEN BY PURPOSE per #271.

It is unacceptable that when one runs STUPIDLY BASIC CALL like "mount /dev/fd0 /dir" this call _silently_ fails and Devs consider it "well worth the desktop loading speedup".

Had enough of this not-usable-by-design. Upgrading to Debian A.S.A.P.

Sorry for the rant but this was a last straw. This culture of not-newest-thing-is-not-worth-our-time makes me sad.
It is precisely what will break Ubuntu's bone and keep Windows at the top.

J.G. (imalner) wrote :

undersign

peter b (b1pete) wrote :

well, Milan and Igor, I'm amazed for a v long time how this issue is treated on Ubuntu distros (by the way, this still IS a BIG ISSUE; why ? because when a client at the v first contact with Ubuntu sees that a BASIC device attached is not working is enough to just smile and say sorry, I'm happier with win and all its warts, and maybe, just maybe will mumble a see you later. everybody knows what that later means - never).

I am a a total loss to understand how these gents at the top of Ubuntu think about it; I mean the devs, Ubuntu's big boss and all concerned that try to convince the world that Ubuntu just works. Is there a hidden agenda or maybe a list somewhere at Ubuntu that specifies the devices to be installed and the ones deemed unworthy of Ubuntu os attention because they are 'too old' and hence unworthy of attention ?

Martin Pitt (pitti) wrote :

peter b [2010-11-25 17:39 -0000]:
> Is there a hidden agenda or maybe a list somewhere at Ubuntu that
> specifies the devices to be installed and the ones deemed unworthy
> of Ubuntu os attention because they are 'too old' and hence unworthy
> of attention ?

Yes, we deliberately want to break stuff, just to annoy users.

More seriously, that's how open source works -- if no developer is
interested in fixing something, it's hard to get done. And developers
tend to have and play with new hardware.. (i. e. it's already hard
these days to find a CD-ROM drive)

peter b (b1pete) wrote :

@ Martin,

the sad part is that the new, potential future ubuntu users are immediately/(or later when discovered) discouraged using it because of lack of support for the so called 'too old' devices; they will prefer instead using ms win.

Martin, pls do not look at what follows as an intrusion into your good efforts in resolving this issue; contrary, pls look at it strictly from future ubuntu users thoughts and minds re open source and its benefits vis-a-vis for pay proprietary os's

AND, not least at the current users community

you have the code related to this; I wrote code before quite extensively (for sure not in the latest and greatest languages but the basics are still there with little changes ) ; I may be wrong in this but pls check my thoughts out and take a look at the floppy drive/device probing procedure code and maybe introduce a timer in device call loop/iterations and based on the feedback (y or n) obtained introduce an if/else decision followed by a goto statement to the corresponding line of code that will either configure or not configure the device (or maybe call another file/s with the conf procedures). pls tell me what's your opinion - will it do the trick ?

Martin Pitt (pitti) wrote :

peter b [2010-11-25 21:12 -0000]:
> Martin, pls do not look at what follows as an intrusion into your good
> efforts in resolving this issue

To the contrary -- it seems this bug needs more thinking/involvement,
not less :-)

> basics are still there with little changes ) ; I may be wrong in this
> but pls check my thoughts out and take a look at the floppy drive/device
> probing procedure code and maybe introduce a timer in device call
> loop/iterations and based on the feedback (y or n) obtained introduce an
> if/else decision followed by a goto statement to the corresponding line
> of code that will either configure or not configure the device (or maybe
> call another file/s with the conf procedures). pls tell me what's your
> opinion - will it do the trick ?

This would need to happen in the kernel, though; I'm pretty sure that
it already has a timeout, since the detection calls do fail eventually
- it just takes excruciatingly long (some 20 seconds).

peter b (b1pete) wrote :

yes Martin, I duly understand your point.

I'm not familiar at all how ubuntu is internally organised when it comes to who does what; just reading your reply it appears that there is a different group of devs that 'look' after the kernel development, functionality and its well being (for sure you know them v well - after all, you're colleagues).

maybe I'm 'barking at wrong tree' but having in mind the first para, I'm kindly asking you, and the kernel devs, to take a look at this issue and get it solved for the benefit of ubuntu os.

just a couple of points that crossed my mind about

.....'I'm pretty sure that it already has a timeout, since the detection calls do fail eventually
- it just takes excruciatingly long (some 20 seconds).'.....

- the BIOS which is written in assembler (the fastest) detects the floppy presence in fractions of a second. for sure, no doubt about it, the higher programming languages used in the kernel introduce delays, to what degree ? v hard for me to say. just a question pls. - would it be possible to have at least this part of kernel that deals with this issue be written in assembler/machine language ? and then read the cpu register/s and configure/not configure the device ? from what I remember the assembler instructions/functions are virtually the same when it comes to floppy detection since the ancient 8088/8086 cpu.

- the second thought was - how comes that the proprietary os manages to get this type of device recognised if present and render it fully operational without this 20 sec delays ? I saw it myself on a friend's pc that uses win - the floppy device detection was almost as fast as the BIOS detection.

I absolutely refuse to accept that the open source is NOT THE BEST when it comes to writing code be it the os kernel or anything else. this IS after all its v strength.

Martin Pitt (pitti) wrote :

peter b [2010-11-26 2:44 -0000]:
> - the BIOS which is written in assembler (the fastest) detects the
> floppy presence in fractions of a second.

Please see above. In the problematic case, the linux kernel and the
BIOS detect the floppy *controller*, and thus think that a floppy is
present. This seems to be the case with a lot of motherboards, which
have a floppy controller, but no drive attached to it. Then, if you
try to speak to the floppy through the controller, you get the long
timeouts.

> - the second thought was - how comes that the proprietary os manages to
> get this type of device recognised if present and render it fully
> operational without this 20 sec delays ? I saw it myself on a friend's
> pc that uses win - the floppy device detection was almost as fast as the
> BIOS detection.

If there is an actual floppy drive, there is no problem.

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Martin Smat (msmat) wrote :

Then I think the proper solution would be to deactivate the floppy in BIOS. Would this prevent 20s delay?

bert07 (marien.bert) wrote :

Boys, boys...

Stop this discussion.

Main thing is: we still need the floppy.

I still need the floppy.

Make it work.

peter b (b1pete) wrote :

yes Martin, taken and v clear; so, pls check my logic/procedure flow about this whole issue

- kernel detects/not detects the presence of floppy controller (v fast - 20 sec delays non-existent; let the BIOS think whatever it wants)
- feedback - y or n - stored
- IF n then DO NOT even bother/SKIP altogether the talking to/or trying to talk TO A non-existent floppy drive/device routine; (if there is NO floppy controller obviously there CAN NOT BE floppy drive (20 sec delays non existent)
- IF y then GOTO probing the presence of floppy device/drive routine
         - probe the presence of a floppy device/drive attached to the controller BUT as said previously - run the do/while loop with a timer set for a max/tops 3-4 sec (I think this 3-4 sec delay would be acceptable or, maybe, even less, maybe 2 sec ? I think that a conclusive y or n feedback will be obtained from 4-5 iterations max; or, maybe, do it in assembler ?)
         - feedback y or n stored
               - IF y then GOTO configure floppy /device/drive routine (v fast - 20 sec delay non-existent .....'If there is an actual floppy drive, there is no problem.'....)
os installation continues
               - IF n then CREATE and STORE 'floppy drive NOT PRESENT/INSTALLED' file.
os installation continues
- after install finished display for user's attention/information either on the login screen or after login on user's/admin's desktop for say 5-6 sec. 'floppy drive NOT PRESENT/INSTALLED' message.

what's your opinion Martin, pls ? will it do the trick ?

J.G. (imalner) wrote :

Comment #261 :

Downgrading udisks helps.

janusz (sunmake) wrote :

Big discussion,big solutions,but problem is NOT permanently SOLVED yet. Only downgrading!!!! helps.SHAME.
I'm using Ubuntu ONLY since 8.04 LTS,but because off floppy ,I was close to give up and say sorry to win.That"s cannot be.
Is there any way for permanent fix? PLEASE do something if you can.I can't.I'm just a simple user.

janusz (sunmake) wrote :

One more brick:
10.04 LTS,amd64,kernel 2.6.32-26 with downgraded udisks.
floppy formatted ext2/4 filesystem:

Error mounting: mount exited with exit code 1: helper failed with:
mount: wrong fs type, bad option, bad superblock on /dev/fd0,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail or so

dmesg | tail
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
EXT4-fs (fd0): mounted filesystem without journal
EXT4-fs (fd0): Unrecognized mount option "utf8" or missing value

that was just for 'try',but ???????? With msdos filesystem is ok.

@janusz
Forget reprieve or you get old waiting ...

As it stands there are perfectly workable 2 solutions and 1 workaround:
1) Ubuntu "solution":
 - Do not use floppies. Flash BIOS (etc.) with your super-natural brain powers!
2) Sane person solution:
 - Do not use Ubuntu.
3) Workaround (that is sure to get broken as time goes):
 - downgrade udisks to version 1.0.1-1build1
 - make sure to lock it in Synaptic (menu->Package->Lock Version)

See? Two easy solutions, so no real issue after all! Should definitely get 'Invalid'!

F.G. (fabio-giglio) wrote :

This bug affect even maverick, what version will be the next affected? 8-|

Atlant's patch works for me also.
What is the current state? Is anybody deal with this bug?

Changed in udisks:
status: Unknown → Confirmed
Changed in devicekit:
importance: Medium → Unknown
Changed in devicekit:
importance: Unknown → Medium
Changed in udisks:
importance: Unknown → Medium
Ulli W.-M. (freeon-f) wrote :

Floppies are not obsolete until the last few users cease to use these.
The problem persists in »maverick« ubuntu 10-10 amd64

I need to write financial transaction data to floppy to get it done by the bank.

nloewen (nloewen) wrote :

Natty is also affected.

Gary M (garym) on 2011-02-09
tags: added: karmic lucid natty
NoOp (glgxg) wrote :

On 02/08/2011 06:15 PM, nloewen wrote:
> Natty is also affected.
>
It won't matter. Apparently it's more important to service laptop users
who can't figure out how to/or can't disable floppy in bios, and or who
are of the mindset that floppies are no longer necessary/used simply so
they can boot faster:

<https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/539515/comments/137>

<https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441835/comments/240>
<https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441835/comments/242>

You can review/find the rest:
<https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441835?comments=all>

Bottom line is that Ubuntu dev's simply can't figure out a way, or can't
be bothered to resolve the issue.

 With all respect to Martin Pitt et al, I've given up. Just use:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441835/comments/268
or the 'udisks --mount /dev/fd0' recomendations, or find another distro.
IMO it's no longer worth the effort & Ubuntu simply refuses to support
floppies beyond udisks_1.0.1-1build1_i386.deb. There has been no effort
to provide a backport for floppy users, no effort to provide a boot
switch for floppy users, no effort at all to resolve this issue.

Brian Vaughan (bgvaughan) wrote :

The issue is that floppy disks are no longer auto-mounted on the GNOME
desktop. Floppy disks can easily be mounted at the command line, so what's
lost is a convenience, and one that matters most to novice users.
Contemporary personal computers rarely have floppy drives installed; it has
been many years since floppy disk drives were a standard feature. It seems
to me that it is unlikely for someone who needs access to floppy disks to be
a novice computer user and unwilling to use a command line interface.

Given the resources available to Ubuntu developers, and the priorities of
the Ubuntu distribution, I think that it's reasonable for the developers to
leave this as it is.

peter b (b1pete) wrote :

for sure a good, reliable distro does NOT need any ...'issue'.... especially of very basic nature like this one (floppy).

personally I did NOT see anywhere, yet, any official announcement that Ubuntu is to be used ONLY by computer literates/elites fully conversant with CLI.

is this comment above

.....'Floppy disks can easily be mounted at the command line, so what's
lost is a convenience, and one that matters most to novice users.'.....

going to become an official Ubuntu statement ? and live happily thereafter with ...'the issue'... ?.

QPrime (mwells) wrote :

Wow, pretty disappointing that Ubuntu is unable to correctly deal with a real floppy controller and phantom device properly.

...But that useless "Floppy Drive" entry in Nautilus sure looks spiffy and well polished - and that's what counts, right?

Yes, I fully understand the above comment was "unhelpful", but honestly, when floppy drive media cannot be properly mounted from the GUI in an OS circa 2011, it makes me feel less than "helpful". Of the 10 machines active on my network right now, 9 of them have built-in floppy drives. Admittedly, 6 of those are CLI only servers, but if I wanted a CLI centric UI on my desktop boxes, I would not have installed Ubuntu on them.

*sigh*

</rant>

György Balló (ballogy) wrote :

Atlant's patch[1] from the upstream bugreport[2] solved the problem for me on Arch Linux, so I can mount floppies from Nautilus again. Currently all linux distributions that use udisks version 1.0.2 have broken floppy support due the "nonexistant floppy" patch[3].

Please apply Atlant's patch to upstream to fix this functionality.

[1] https://bugs.freedesktop.org/attachment.cgi?id=39751
[2] https://bugs.freedesktop.org/show_bug.cgi?id=30283
[3] http://cgit.freedesktop.org/udisks/commit/?id=ca93d4e2d9e7f483b2fde1725da086e2cca44164

peter b (b1pete) wrote :

it looks like good news.

when will ubuntu distros have new kernels compiled with the proposed changes ? will lts lucid , maverick and upcoming natty enjoy the proposed changes ?

Changed in udisks (Debian):
status: Unknown → Confirmed
John Ross (johnross-johnross) wrote :

Looks like this one persists in Natty Beta. Worse, I see no option in Natty to downgrade to the old version of udisks as was the case in Lucid.

I will note that some of us engineer types still rely on floppies to record data. We do this because we are using older test instruments with built in floppy drives. These instruments are super expensive and have long service lives so its impractical to replace them as we do with computers that are updated every few years. As a result there are many labs that will be using floppies for many years to come. Please try to get this function working properly again in Ubuntu. Thanks!

Mikele (mikilion) wrote :

Il 02/04/2011 18:27, John Ross ha scritto:
> Looks like this one persists in Natty Beta. Worse, I see no option in
> Natty to downgrade to the old version of udisks as was the case in
> Lucid.
>
> I will note that some of us engineer types still rely on floppies to
> record data. We do this because we are using older test instruments with
> built in floppy drives. These instruments are super expensive and have
> long service lives so its impractical to replace them as we do with
> computers that are updated every few years. As a result there are many
> labs that will be using floppies for many years to come. Please try to
> get this function working properly again in Ubuntu. Thanks!

I agree with John.

Martin Pitt (pitti) on 2011-04-10
Changed in udisks (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
bert07 (marien.bert) wrote :

Martin, how come it works under xubuntu and not under ubuntu?

On 10/04/2011 20:19, Martin Pitt wrote:
> ** Changed in: udisks (Ubuntu)
> Assignee: Martin Pitt (pitti) => (unassigned)
>

Martin Pitt (pitti) wrote :

bert07 [2011-04-11 2:59 -0000]:
> Martin, how come it works under xubuntu and not under ubuntu?

Are you talking about Xubuntu 11.04? Xubuntu now also switched to
udisks and friends, so I'd be really surprised if it worked there.

peter b (b1pete) wrote :

@Martin Pitt and anyone interested

natty beta1 with latest updates as of this writing installed. results below

~$ sudo mformat -f 1440 A:
[sudo] password for peter:
~$ sudo mount /dev/fd0 /media/floppy0
~$ cd /media/floppy0
:/media/floppy0$ ls -l
total 0

then
****** under nautilus GUI file copied *****

:/media/floppy0$ ls -l
total 4
-rw-r--r-- 1 root root 1820 2010-05-01 22:22 grub2-floppy-setup.txt
:/media/floppy0$

self explanatory. however, umount questionable - see below

:/media/floppy0$ sudo umount /media/floppy0
[sudo] password for peter:
umount: /media/floppy0: not mounted

hopefully on natty release

- an icon will show up on the desktop after /dev/fd0 mounted and,
- nautilus will be fine tuned so that floppy0 right click at least shows UNMount after /dev/fd0 WAS mounted under CLI as well as have umount functional under CLI..

so far good show devs !

NoOp (glgxg) wrote :

@Peter b: I must be missing something... how does in any way relate to the original description of this bug report?
"Clicking on floppy gives "no device media found""
We've already established that the floppy can be mounted via the cli.

peter b (b1pete) wrote :

@NooP

I was just curious personally (I'm just an ordinary user) after #307, #314 , #315 and #317 comments re natty natty-beta. I just conveyed my experience with natty beta to Martin (the dev assigned, now #316 and previous show something else) and to ..'and anyone interested.'.. ie #307, #314 , #315 and #317

as a matter of fact natty does not even appear - it is not part of this bug - it is Linux and other releases and packages -, with various status, assignments etc - see above.

however, it appears that at least one other udisks specific issue (see #539515) has been addressed under #312 above and .... posted here on #441835 and, on both accounts, there was no reasoning of any kind by anyone as of why they were posted here.

so I guess it's your pick, sort of pick and choose at this time. does anyone moderate this bug ? is it you NooP ?

bert07 (marien.bert) wrote :

Xubuntu 10.10

On 11/04/2011 08:30, Martin Pitt wrote:
> bert07 [2011-04-11 2:59 -0000]:
>> Martin, how come it works under xubuntu and not under ubuntu?
> Are you talking about Xubuntu 11.04? Xubuntu now also switched to
> udisks and friends, so I'd be really surprised if it worked there.
>

Jawtheshark (jawtheshark) wrote :

I guess this is the same problem I have, but I'm not 100% sure. I'm on 10.10/amd64 and I (still) use my floppy drive semi-regularly because I dumpster dive and thus prepare BIOS updates for older machines. Anyway, I noticed that under my current installation, being 10.10/amd64 my floppy does not work.

I booted the machine under Windows XP Home and the floppy is readable there. The most surprising, though, is that I booted the 10.10/i386 LiveCD on the same machine and the floppy then works! All on the same machine. I can rule out hardware problems fairly certainly.

In /var/log/messages, I get the following when accessing the floppy (either by using Gnome or by manually executing "mount /dev/fd0 /mnt):

Apr 19 20:18:50 tiger kernel: [10226.990059]
Apr 19 20:18:50 tiger kernel: [10226.990071] floppy driver state
Apr 19 20:18:50 tiger kernel: [10226.990075] -------------------
Apr 19 20:18:50 tiger kernel: [10226.990123] now=4295959995 last interrupt=4294946147 diff=1013848 last called handler=main_command_interrupt
Apr 19 20:18:50 tiger kernel: [10226.990128] timeout_message=lock fdc
Apr 19 20:18:50 tiger kernel: [10226.990131] last output bytes:
Apr 19 20:18:50 tiger kernel: [10226.990136] 8 81 4294946073
Apr 19 20:18:50 tiger kernel: [10226.990140] f 80 4294946073
Apr 19 20:18:50 tiger kernel: [10226.990144] 0 90 4294946073
Apr 19 20:18:50 tiger kernel: [10226.990148] 1 91 4294946073
Apr 19 20:18:50 tiger kernel: [10226.990151] 8 81 4294946073
Apr 19 20:18:50 tiger kernel: [10226.990155] 4 80 4294946075
Apr 19 20:18:50 tiger kernel: [10226.990158] 0 90 4294946075
Apr 19 20:18:50 tiger kernel: [10226.990162] f 80 4294946075
Apr 19 20:18:50 tiger kernel: [10226.990165] 0 90 4294946075
Apr 19 20:18:50 tiger kernel: [10226.990169] 0 91 4294946075
Apr 19 20:18:50 tiger kernel: [10226.990172] 8 81 4294946075
Apr 19 20:18:50 tiger kernel: [10226.990176] e6 80 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990180] 0 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990184] 0 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990187] 0 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990191] 1 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990194] 2 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990200] 12 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990204] 1b 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990207] ff 90 4294946109
Apr 19 20:18:50 tiger kernel: [10226.990211] last result at 4294946610
Apr 19 20:18:50 tiger kernel: [10226.990214] last redo_fd_request at 4295811797
Apr 19 20:18:50 tiger kernel: [10226.990231] status=77
Apr 19 20:18:50 tiger kernel: [10226.990233] fdc_busy=1
Apr 19 20:18:50 tiger kernel: [10226.990242] do_floppy=reset_interrupt
Apr 19 20:18:50 tiger kernel: [10226.990247] cont=ffffffffa0046060
Apr 19 20:18:50 tiger kernel: [10226.990250] current_req=(null)
Apr 19 20:18:50 tiger kernel: [10226.990254] command_status=-1
Apr 19 20:18:50 tiger kernel: [10226.990256]
Apr 19 20:18:50 tiger kernel: [10226.990266] floppy0: floppy timeout called

Hope this helps someone

Regards

Jorg

Smith (smws-box) wrote :

Same problem, but this works exellent for me:

sudo mount -t vfat /dev/fd0u1440 /media/floppy0 -o iocharset=utf8

for 1,44M formatted floppy disk. Maybe the problem is in recognition disk size/type in the udisk module?

LorenM (elspamocollector) wrote :

I have not used the floppy drive in this computer for some time, but in the last two weeks I tried about 15 different disks that I believe all have data in a Microsoft Windows readable format. I have had 10.04 installed several times in the last month on this computer. The image in #1 of Bug #475500 is what I see. I know I successfully used the floppy with 8.04 loaded on this computer. I checked the cables and the drive status light lights briefly when I click Places, Floppy Drive so I suspect the hardware is working. I am currently running 10.04 that was install about a week ago. I have loaded a bunch of software since install so I suspect you would not call this a clean install. I did not attempt to read all of the posts about in this bug, but if you need me to collect some data, please let me know. I am very busy right now so it may take me a few days to get back to you.

A friend suggested using "sudo mount /dev/fd0 /mnt". I found the floppy data in the "/mnt" folder. I copied a disk full of data to the hard drive and the data appeared okay. The mounted floppy does not show in the Nautilus File Browser and I am a newbie to Linux Terminal command syntax. I discovered I can use "sudo umount /dev/fd0" to unmount the drive so at least I can get the data off the floppies in a pinch, but this is far from ideal.

I still have a camera that writes to floppies and I expect to use it soon so I need to get data off floppies and delete the files on the floppies for reuse in the camera. If you have a better work around for this situation, please direct me to it so I can use it. Thanks for your help.

I also have the same bug, both on 10.04 and 10.10. I don't know for 11.04 or earlier versions.
It affects both internal drives AND USB Floppy Drives.
I could make the two of them work by downgrading udisk to build1 version. It's relatively easy on 10.04, but for 10.10 you have to do some serious googling to find the right 10.10 udisk package.
Now for those who say floppies are outdated, obsolete and not worth a good support : it is not acceptable. Backward compatibility is mandatory for all OSes, and Ubuntu cannot behave the same way Microsoft had with its Windows versions. Though floppies are not produced anymore (AFAIK) they are widespread in the industrial sector where I'm working, as well as serial and parallel interfaces. We definitively need such hardware support now and in the future.
So please Ubuntu maintainers, fix this udisk bug as soon as possible.

Albert Pool (albertpool) wrote :

It is fixed upstream since 10.10 but Ubuntu seem to be modifying udisks so that it still does not work. Or probably this commit caused a regression: http://cgit.freedesktop.org/udisks/commit/?id=ca93d4e2d9e7f483b2fde1725da086e2cca44164

I don't think they care or are even aware that the bug is over 2 years old and still is showing as "NEW" in the bug tracker. It seems their "poor" developers can't even spend 10 dollars on a floppy drive to test. (Hell, I'll ship 'em one for free if they'll give me the address and guarantee that they'll to fix the bug--and I'm an unemployed college student with two kids and a wife!) The problem is that the developers think floppies are obsolete, even though there are many items still in use that require floppies (such as an early 90's, high-end, $4000--original price--Roland Electronic Piano that reads midi files on a floppy disk).

Ewano (i-launchpad-ewano-net) wrote :

Still?

PJSingh5000 (pjsingh5000) wrote :

Does anyone know if this will be fixed/included in Ubuntu Oneric (11.10) ?

Martin Pitt (pitti) wrote :

PJSingh5000 [2011-09-28 16:18 -0000]:
> Does anyone know if this will be fixed/included in Ubuntu Oneric (11.10)

No, it won't. There is no fix for this right now.

GNOME 3.4 might switch to udisks2, which might or might not make this
better, but right now this is is still in development.

György Balló (ballogy) wrote :

Why nobody takes care about the upstream bugreport[1] over a year???

There's a simple fix for this issue:
https://bugs.freedesktop.org/attachment.cgi?id=39751

[1] https://bugs.freedesktop.org/show_bug.cgi?id=30283

Martin Pitt (pitti) wrote :

György Balló [2011-09-29 13:00 -0000]:
> Why nobody takes care about the upstream bugreport[1] over a year???

Please read the full bug report. We already wasted hours on trying to
fix it, and just gave up eventually :(

> There's a simple fix for this issue:
> https://bugs.freedesktop.org/attachment.cgi?id=39751

Unfortunately it's not that simple. That fix is what we had originally
in udisks, but it caused very long delays during boot (sometimes 30
minutes [sic]) due to the rather braindead way motherboards and floppy
controllers are built.

György Balló (ballogy) wrote :

@Martin: I think that this patch not against the long delay fix. It reports that floppy is always available, and not probe it on boot.

Martin Pitt (pitti) wrote :

György Balló [2011-09-29 13:42 -0000]:
> @Martin: I think that this patch not against the long delay fix. It
> reports that floppy is always available, and not probe it on boot.

Yes, I've seen that, but it would again cause users of udisks to try
and do something with the floppy, and any access to a floppy
controller which doesn't have a floppy attached causes a 30 second
freeze. It might be that this patch makes it work again for computers
with a floppy (fixing this case is actually trivial), but it's next to
impossible to continuously guarantee that the "no floppy" case (which
is the common one) keeps working. I fixed this kind of bug in way too
many places to have any faith left that we can sensibly support
floppies in the modern desktop software infrastructure. Also, frankly
I have no interest in doing so, as working around the regressions is
just way more effort than it's worth.

I'm aware that this means "floppies are broken with Linux" :(

PJSingh5000 (pjsingh5000) wrote :

György,

Appreciate and understand your comment...
I wonder if it would be possible to have a configuration parameter ("detect_floppy") that can be manually set by a user?
This parameter would be false by default, bypassing accessing the controller during boot.
Users who want floppy support could set it to true, and the controller access routine would be executed during boot.
(Perhaps this parameter may be configurable through gconf-editor?)

peter b (b1pete) wrote :

hello Martin and all,

I'm happy to see you again, Martin, involved in this issue. on the other hand v disappointed to see ....'"floppies are broken with Linux"'...... statement.

question Martin pls, re

 ...'Also, frankly I have no interest in doing so, as working around the regressions is
just way more effort than it's worth.'.....

does this mean that there is no effort/work done/attention paid by linux to fix this issue ?

on a personal note that ties in with this - Martin pls, should I still hope to see an/any kind of answer to #300 above ?

Martin Pitt (pitti) wrote :

peter b [2011-09-29 16:24 -0000]:
> does this mean that there is no effort/work done/attention paid by linux
> to fix this issue ?

Looks like it. As I mentioned on the mailing list, I'm happy to review
a patch to fix the automatic unmounting.

> on a personal note that ties in with this - Martin pls, should I still
> hope to see an/any kind of answer to #300 above ?

probing the existence of a floppy will lock up the process for 30
secs, and anything which waits on it (and moreover, it might even
cause locks on the IDE bus, so that other programs/drives lock as
well), so that's the very thing which we need to avoid. I've been
burnt by this too many times to ever want to touch it again..

peter b (b1pete) wrote :

......'probing the existence of a floppy will lock up the process for 30
secs, and anything which waits on it (and moreover, it might even
cause locks on the IDE bus, so that other programs/drives lock as
well),'.....

so I guess it is because of BIOS taking precedence. if that is so then probably NOW is the time to 'separate the waters' so to speak (more below) - or in a nutshell, just try to find a way to get rid of BIOS altogether.

what I'm driving at is that linux initial concept, as good as I can remember, maybe I'm wrong, was to have an os that will configure and make work a device like the pc WITHOUT the need of BIOS. and linux so far has proved over and over again that is capable of detecting and configuring ANY device present on a pc. the BIOS pre-configuration of pc has always been less than desirable as far as linux is concerned.

maybe NOW is the time to address this issue - just thinking, there's nothing wrong with setting up a movement in linux community that will get involved all the best linux developers/minds starting with its initial/original one Linus Torwald, to find a way of getting just one device like a CD or USB etc. to be read and probe the pc WITHOUT a BIOS, (a v minimal so called BIOS (because of lack of other term now) that enables just the bus that a CD sits on so that it can be read).

what prompted my mind to run along this line of thought were the latest news (true or false, hard to say at this time apparently) more likely true given the fact that it was officially announced that the pc as we know it today WILL be subjected to more tying down to the os (that is the one for pay), and it wants full control of the pc and user/s under the guise of security, with user very personal data sent to the cloud, a very likely possibility.

Martin, and all concerned, probably you've already seen and read

http://www.zdnet.com/blog/hardware/windows-8-certification-will-make-it-difficult-or-impossible-to-install-linux-on-pcs/14987?tag=nl.e550
http://mjg59.dreamwidth.org/5850.html

it is self explanatory. the os in discussion (url's above) wants to migrate/integrate into BIOS. any thoughts re all above ?

sorry for posting this/the latter part under this thread.

John Ross (johnross-johnross) wrote :

I only follow this bug from time so I apologize if the following suggestion is treading on old ground.

It is true that floppies are no longer the norm for most users, but Linux/Ubuntu should still provide reasonable support since there remains a mountain of expensive to replace hardware out there that still uses them. Ultimately, I think the question boils down to what do we mean by reasonable support?

Perhaps auto probing is too much to expect so maybe we don't even try to resolve that mess. Instead, we aim to make a simple way to manually tell the OS that the computer has a floppy after the OS is installed. If this flag is set then the OS does whatever it should to make working with the floppy easy. That means GUI and cli functions that work properly and smoothly. If the floppy present flag is false then the OS hides all floppy related functions from the user. This avoids autoprobe issues and eliminates confusion for new users who are going to wonder why there's a floppy icon on the desktop when they don't have a floppy drive in their machine.

Let me emphasize that I'm an engineer and not a software developer so I recognize that what I propose here may or may not be easy to implement for a variety of reasons. Nonetheless it seems we need to do something to move past the impasse on this question of floppy support and get something that works reasonably well for everyone.

Best Wishes,

John

peter b (b1pete) wrote :

Martin and all,

the url's below should be read in conjunction with #337; they underline and support ....'the BIOS pre-configuration of pc has always been less than desirable as far as linux is concerned.' ....

http://en.wikipedia.org/wiki/Coreboot
http://en.wikipedia.org/wiki/BIOS

'Changing role of the BIOS' heading on the second url is quite revealing. I cite Linus' words from second url ....'To quote Linus Torvalds, the task of BIOS is "just load the OS and get the hell out of there".'.....

linux inventor Linus Torvalds said it all - no more comments necessary - the BIOS is v v old stuff. apparently the os for pay wants to 'enhance it' and sneak into BIOS SLIC all kinds of keys to force the user in using ONLY the for pay os and, by doing that, it is basically controlling user's pc and identity. is that fair and correct ?

bert07 (marien.bert) wrote :

To all.

Running Lucid GNOME 64-bit.

After (kernel) updates a few weeks ago, the floppy works here and still does (checked it again before writing this).

I have udisks 1.0.1-1build1 installed + I added "floppy" (without the quotes) to the /etc/modules file.

(* I also need the floppy working under Linux!)

Good luck and hopes for everyone.
Bert.

bert07 (marien.bert) wrote :

It is NOT a sollution (I know), but for those who REALLY need a floppy, I suggest you use Puppy, Quirky or Wary. The floppy still works on those.

If you should install one of them on harddisk, only 500 MB to 1GB partition is needed.
Your floppy will be accessible and you can copy any file from any partition you want to your floppy.
Booting into Puppy, Quirky or Wary is very fast.

You can also just use the live CD's or put them on a USB stick.
But booting from harddisk is faster and it is always there when you need it, and also: you only need to make configurations once.

It's not so handy as getting access to your floppy from your base Linux system, but it works, and that is what most of us need, isn't it?

Bert.

bert07 (marien.bert) wrote :

When I wrote:
"If you should install one of them on harddisk, only 500 MB to 1GB partition is needed."

I meant it to install it as a multi-boot system.
Otherwise it has no sense.

Sorry I didn't mention it in the post before.

Bert.

FGTR4738 (knyuf56) wrote :

Here, we have been doing the following, simply creating two events using 'Create Launcher.'

One with the command <udisks --mount /dev/fd0> for mounting floppy disks.

One with the command <sudo mformat -f 1440 a:> for formatting floppy disks.

And then simply having two Icons on the desktop.

This has been working fine for Unbuntu 10.04 and 11.04

We used floppy disks all day for the cameras we use here with no difficulties.

Just FYI on what we've done to get around this.

maeru (maeru) wrote :

Hi there,

I experienced the same bug in Debian squeeze (stable) a while ago with my floppy drive. The solution was quite simple:
Edit "/lib/udev/rules.d/80-udisks.rules" and search for the lines
--------------------------------------------------------------------------------------------------------------------------------
# PC floppy drives
#
KERNEL=="fd*", ENV{ID_DRIVE_FLOPPY}="1"

# USB floppy drives
#
SUBSYSTEMS=="usb", ATTRS{bInterfaceClass}=="08", ATTRS{bInterfaceSubClass}=="04", ENV{ID_DRIVE_FLOPPY}="1"
--------------------------------------------------------------------------------------------------------------------------------

Replace those "1" (ones) with "0" (zeros). That's all the magic.
Now restart the udev daemon by typing "invoke-rc.d udev restart"

You're done. It should work now.

John Ross (johnross-johnross) wrote :

I implemented maeru's fix on two machines running 11.04. One has a traditional motherboard floppy and one has an external USB floppy and both appear to work now.

PJSingh5000 (pjsingh5000) wrote :

@maeru,

Thanks for taking the time to share this.

This seems to almost work...

Clicking on the Floppy Disk icon in Nautilus (Places | Computer) causes the icon to change.
When I click on that (new) icon, I get the following error message:
    Error mounting: mount exited with error code 1: helper failed with:
    mount: only root can mount /dev/fd0 on /media/flopy0

So this looks like a permissions problem.
However, I am a member for the "floppy" group.

I tried changing the permissions of /media/floppy0 to grant read, write, execute permissions to all, but that did not help.

Notably, the following command mounts the floppy disk without requiring root privileges:
$ udisks --mount /dev/fdo

Any suggestions?

PJSingh5000 (pjsingh5000) wrote :

I believe I solved my problem...

I noticed that my /etc/fstab file no longer had the "user" parameter for fd0.

I added that back...
/dev/fd0 /media/floppy auto rw,user,noauto,exec,utf8 0 0

(As a side note, I had installed mountmanager, which overwrote my fstab file, so be careful if you use that program!)

Now @maeru's solution works for me as well.

However I am forced through a clunky 4 step process...

1. Click on the "Floppy" icon in Places | Computer
2. Receive error "Unable to mount location. No media in drive." even though a floppy is inserted.
    Despite this error, the "Floppy" icon will change to "Floppy Drive: Floppy Disk" in Nautilus.
3. Click on this new icon.
    A new "floppy0" icon will appear in Nautilus. The "Floppy Drive: Floppy Disk" will revert back to the original "Floppy" icon.
4. Click on the new "floppy0" icon to access the diskette.

I'm happy to have it working, but the user flow needs to be improved. Does any one else have this issue with multiple steps, or does your floppy mount immediately?

John Ross (johnross-johnross) wrote :

I noticed a clunky process too. I don't recall getting an error message but it took more clicks than should be necessary. Still a nice improvement though.

dave51 (dareynolds51) wrote :

Hi there,
I have just tried maern fix and it seems to be working on Ubuntu 11.10 at present not tried a shut-down and cold boot thou.
Dave 51

Alan (avhennessy) wrote :

Did I just get spammed from launchpad? (see message #350)

jeremy-list (quick-dudley) wrote :

Yes, #350 is definitely spam. I will try to find out whether or not launchpad has any means of reporting spam.

Lots of users still affected by this regression, se bug 441835 at launchpad for example.

Yes, floppys are an obsolete media, still, users like me, sometimes have to get data off retro-computers and alike. Sometimes this is the only way.. Devs,Please have a look a this soon. Thanks.

What is the status here? Sister bug http://bugs.gentoo.org/338185 has been open for too long. Is this still a problem with udisks2?

(In reply to comment #21)
> What is the status here? Sister bug http://bugs.gentoo.org/338185 has been open
> for too long.

It's not really something I'm planning to spend time on in udisks since a) I'm focusing on udisks2; and b) floppies are extremely rare nowadays.

> Is this still a problem with udisks2?

I doubt it's a problem with udisks2.. in fact, last I checked, all the parts in the stack (kernel, udisks2, gvfs, nautilus) worked fine with floppies, see

 http://people.freedesktop.org/~david/palimpsest-gvfs-udisks2-pc-floppy.png

But it's not something I check very often and in Fedora we never automatically load floppy.ko even if the hardware is there. I'll check Monday when I'm in the office - don't have any floppy drives or disks here :-)

(In reply to comment #22)
> I doubt it's a problem with udisks2.. in fact, last I checked, all the parts in
> the stack (kernel, udisks2, gvfs, nautilus) worked fine with floppies, see
>
> http://people.freedesktop.org/~david/palimpsest-gvfs-udisks2-pc-floppy.png
>
> But it's not something I check very often and in Fedora we never automatically
> load floppy.ko even if the hardware is there. I'll check Monday when I'm in the
> office - don't have any floppy drives or disks here :-)

It works fine except for the fact that there's a bug in mount(8)... basically 'mount /dev/fd0 /mnt' doesn't work but 'mount -tvfat /dev/fd0 /mnt' does. I've reported this bug to Karel Zak (the util-linux maintainer).

(In reply to comment #22)
> (In reply to comment #21)
> > What is the status here? Sister bug http://bugs.gentoo.org/338185 has been open
> > for too long.
>
> It's not really something I'm planning to spend time on in udisks since a) I'm
> focusing on udisks2; and b) floppies are extremely rare nowadays.

Also in Debian there are several reports regarding that issue.

561737: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561737
561746: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561746
592719: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592719
596890: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596890
622618: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622618
669973: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=669973

Having a working udisks2 package will not be enough, since that one will not be ported back to already released distribution versions. I wonder if there are problems with RedHat or openSUSE too. Or do they ship an earlier version not affected by this regression.

Anyway, it is known what caused the regression. So it would be great if the attached patch to this report – which has been tested – could be applied.

The problem of systems having a delay during start up because no floppy drive is attached should be able to be fixed differently. Since the commit message of the commit causing the regression does not specify the root cause, I can only guess.

Is the floppy module doing the probing or udev? If we figure that out people affected by a crappy BIOS should be able to pass in a command line option and be done with it.

[…]

Martin Pitt (pitti) on 2012-04-27
Changed in devicekit-disks (Ubuntu Karmic):
status: Triaged → Won't Fix

On 20/04/2012 19:56, Zeuthen wrote:
> (In reply to comment #21)
>> What is the status here? Sister bug http://bugs.gentoo.org/338185 has been open
>> for too long.
> It's not really something I'm planning to spend time on in udisks since
> a) I'm focusing on udisks2; and b) floppies are extremely rare nowadays.

 >>>> That is true, but in mu case they are still needed, en needed very
often!
>
>> Is this still a problem with udisks2?
> I doubt it's a problem with udisks2.. in fact, last I checked, all the
> parts in the stack (kernel, udisks2, gvfs, nautilus) worked fine with
> floppies, see
>
> http://people.freedesktop.org/~david/palimpsest-gvfs-udisks2-pc-
> floppy.png
>
> But it's not something I check very often and in Fedora we never
> automatically load floppy.ko even if the hardware is there. I'll check
> Monday when I'm in the office - don't have any floppy drives or disks
> here :-)
>

Aiman Baharna (aiman) on 2012-06-09
no longer affects: lucid
bert07 (marien.bert) wrote :

What is this about this bug?

I think it was Martin who said rather a long while ago that he got tired of this bug and he didn't know how to fix it; whatever he tried.

But indeed: there are many a people using Linux that still need access to a floppy.
I, for one.

In Lucid you can fix the problem by downgrading "udisks", but that's it.

What lies beyond Lucid does not seem to be able to access any floppy any more. (Not only Ubuntu's.)

Puppy still can, but for how long to come?

I can understand that developers are getting tired of this bug, but still...
There are still people around the globe who need floppy access.

E.G.: I instaal or test run many distro's.
Without my floppy boot back-up, I will get very often in lots of trouble booting.

I need that floppy access!

Sorry for that 4 times the same...

I kept getting an error whilst trying to post.
Sorry!

On 09/06/2012 14:49, bert07 wrote:
> What is this about this bug?
>
> I think it was Martin who said rather a long while ago that he got tired
> of this bug and he didn't know how to fix it; whatever he tried.
>
> But indeed: there are many a people using Linux that still need access to a floppy.
> I, for one.
>
> In Lucid you can fix the problem by downgrading "udisks", but that's it.
>
> What lies beyond Lucid does not seem to be able to access any floppy any
> more. (Not only Ubuntu's.)
>
> Puppy still can, but for how long to come?
>
> I can understand that developers are getting tired of this bug, but still...
> There are still people around the globe who need floppy access.
>
> E.G.: I instaal or test run many distro's.
> Without my floppy boot back-up, I will get very often in lots of trouble booting.
>
> I need that floppy access!
>

bert07 (marien.bert) wrote :

You might say: Your floppy will boot anyway, and that is true of course, but I need to be able to change the menu.lst file a few times a week.

So: I need the access.

---+---

Also:
Precise: no floppy.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835

Bob Kline (bkline) wrote :

Is all this spam really necessary?

On Sat, Jun 9, 2012 at 5:30 PM, Ubuntu QA Website
<email address hidden> wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/441835
>
> Title:
>  Clicking on floppy gives "no device media found"
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/devicekit/+bug/441835/+subscriptions

--
Bob Kline
http://www.rksystems.com
mailto:<email address hidden>

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835

I was thinking about the same.

I have received about 30 the same messages by now.

Can someone stop this please?

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835

On 6/10/2012 10:15, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:20, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:25, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:30, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:35, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:40, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:45, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:50, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

G. R. Main (grmain) wrote :

On 6/10/2012 10:55, Ubuntu QA Website wrote:
> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835
>

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/441835

tags: added: iso-testing
NoOp (glgxg) wrote :

Unsubscribing due to spamming from QA ISO testing/QA Website.

bert07 (marien.bert) wrote :

@ Martin.

Alas I am a too "small" a Linux user to test-drive this.

I can only report.

Sorry.

This still affects me in 12.04LTS.

Even if floppies are rare on the general desktop, I would sure like to see this fixed. Floppies still have a strong niche in specialty equipment. I have a bunch of machines here with floppy drives.

Is there a work-around? Older version that works? Udisks2? Other?

One workaround is using this command (as normal user)
udisks --mount /dev/fd0
to mount a floppy, then it can be safely detached via GUI (e.g. in
nautilus, right click the floppy icon...).
Once can create a .desktop file to run the command and drag&drop it onto
the unity launcher.

Hope this helps.

Cheers,
   T

OK, long time without an update. In the mean time development focus has been udisks 2.0 which is a completely different codebase where floppy disks actually work. Since udisks 2.0 has been shipping in distros since the spring, I'm not really interested in fixing this for udisks 1.x. So I'm closing it as WORKSFORME. Apologies if this is inconvenient for you but please do update to the latest version. Thanks!

Changed in udisks:
status: Confirmed → Invalid

Excellent!!!

Larry
---
*Laurence Nagel*
*Omega Enterprises Consulting*
*251 Stanford Avenue*
*Kensington, CA 94708*

*(510) 558-0842*
*<email address hidden>*
*http://www.omega-enterprises.net*

On 9/28/2012 11:40 AM, Zeuthen wrote:
> OK, long time without an update. In the mean time development focus has
> been udisks 2.0 which is a completely different codebase where floppy
> disks actually work. Since udisks 2.0 has been shipping in distros since
> the spring, I'm not really interested in fixing this for udisks 1.x. So
> I'm closing it as WORKSFORME. Apologies if this is inconvenient for you
> but please do update to the latest version. Thanks!
>

peter b (b1pete) wrote :

any idea when udisks2 will be available in 1204 ?

Martin Pitt (pitti) wrote :

peter, it won't. Ubuntu 12.04 uses udisks 1.x

Tagging this as WORKFORME is not acceptable and simply not true.
Ubuntu 10.04 is LTS and use this non working version of udisk.
12.04 is LTS too and also use this piece of crap that is the last 1.x version.

Some might consider beyond them as to why some people still use floppies but they do : in the professional world, a lot of appliances, industrial equipments rely on floppies, like machinetools...
Overlooking floppies as not worth a debug is despising at best, irresponsible at worst.
Please fix ASAP or cancel officially your last 1.x version so that the former and working version (1.0.1-1build1) is not replaced by this buggy one on our Ubuntu's.

Assuming Atlant's patch in comment 12 doesn't reintroduce the "long hangs on probing non-existant floppy drives" bug (which I've not managed to test myself as I couldn't reproduce the original problem), couldn't Atlant's patch be applied and be done with it? Or are the two bugs mutually unfixable?

(In reply to comment #27)
> Tagging this as WORKFORME is not acceptable and simply not true.
> Ubuntu 10.04 is LTS and use this non working version of udisk.
> 12.04 is LTS too and also use this piece of crap that is the last 1.x
> version.
>
> Some might consider beyond them as to why some people still use floppies but
> they do : in the professional world, a lot of appliances, industrial
> equipments rely on floppies, like machinetools...
> Overlooking floppies as not worth a debug is despising at best,
> irresponsible at worst.
> Please fix ASAP or cancel officially your last 1.x version so that the
> former and working version (1.0.1-1build1) is not replaced by this buggy one
> on our Ubuntu's.

I'm sorry that you are unhappy about Ubuntu but that's not my problem. As I said, udisks upstream - as well as many downstream distributors of our software - have moved on to udisks 2.x. I'm also sorry you are not happy to learn that your problem is fixed in the latest version.

To put it very bluntly, we don't care much about udisks 1.x anymore (we especially don't often listen to people calling it a "piece of crap") and we don't work much on it except for security bug-fixes. Because of this, we don't want our bug database to be littered with bugs that are never going to get fixed. So I'm closing this bug again. Don't reopen it or you will get banned.

(In reply to comment #29)
> To put it very bluntly, we don't care much about udisks 1.x anymore (we
> especially don't often listen to people calling it a "piece of crap") and we
> don't work much on it except for security bug-fixes. Because of this, we
> don't want our bug database to be littered with bugs that are never going to
> get fixed. So I'm closing this bug again. Don't reopen it or you will get
> banned.

Perhaps it should be resolved as WONTFIX rather than WORKSFORME in that case?

(In reply to comment #30)
> Perhaps it should be resolved as WONTFIX rather than WORKSFORME in that case?

If the issue wasn't fixed in 2.x and it's not an issue that I wanted to fix I would have closed it WONTFIX. If the issue was fixed in response to the bug, I'd close it with resolution FIXED. But since the issue is already an non-issue in the latest version, I chose to close it WORKSFORME. At least that's how I use Bugzilla. Other maintainers may use it in different ways.

bert07 (marien.bert) wrote :

I do not agree with the choice of words from 'Wintermute', but I do agree that I fix should be released for the LTS.

I know that this won't happen, but why not release the old udisks on the LTS.

Under Lucid (LTS) one could downgrade udisks so it kept working.
So why not dowwngrade udisks for the current LTS?

bert07 (marien.bert) wrote :

I do not agree with the choice of words from 'Wintermute', but I do agree that I fix should be released for the LTS.

I know that this won't happen, but why not release the old udisks on the LTS.

Under Lucid (LTS) one could downgrade udisks so it kept working.
So why not downgrade udisks for the current LTS?

I do not agree with the choice of words from 'Wintermute', but I do
agree that I fix should be released for the LTS.

I know that this won't happen, but why not release the old udisks on the
LTS.

Under Lucid (LTS) one could downgrade udisks so it kept working.
So why not downgrade udisks for the current LTS?

On 15/11/2012 12:00, Wintermute wrote:
> Tagging this as WORKFORME is not acceptable and simply not true.
> Ubuntu 10.04 is LTS and use this non working version of udisk.
> 12.04 is LTS too and also use this piece of crap that is the last 1.x version.
>
> Some might consider beyond them as to why some people still use floppies but they do : in the professional world, a lot of appliances, industrial equipments rely on floppies, like machinetools...
> Overlooking floppies as not worth a debug is despising at best, irresponsible at worst.
> Please fix ASAP or cancel officially your last 1.x version so that the former and working version (1.0.1-1build1) is not replaced by this buggy one on our Ubuntu's.
>

bert07 (marien.bert) wrote :

Acceptaable or not, that won't help nobody.

We just should make it work.

Under Lucid we could make it work by downgrading.

And I agree that many people still use floppys (I'm one of them) but it does not help anyone when you start making noise.

bert07 (marien.bert) wrote :

BTW.

Did you read what Zeuthen wrote?

You might be banned.

And then what, will your floppy work then.

bert07 (marien.bert) wrote :

BTW2

It is not an UBUNTU thingy, it is a Linuw thing.
You won't get your floppy to work on Fedora are any other distro either.
Exept for Puppy. At least the former ones.

Though I must say that Udisks2 is not really what I what we (I) expected.
It keeps my floppy occupied al the time, so also there a fix is needed.

But Udisks2 seems to work. (more or less)

Do not forget that this is Linux, and they have to write everything (almost everything) from scratch.

Linux had come this far...

And it will go on developing. Making your and mine floppy work if given time.

PJSingh5000 (pjsingh5000) wrote :

In Ubuntu 13.04 x64 with kernel 3.8, my flopy drive now works perfectly. The systems recognizes the drive and displays an icon fo it on the Unity Launcher. I can click on the icon and am able to view the contents of the disk.

jglen490 (jglen490) wrote :

It's a darn shame that "the powers that be" don't care to fix something that is still of a great deal of importance to a few hundred thousand people - *buntu users. I recently added a floppy drive to my machine. It didn't work, but I just figured there was some package that didn't get loaded. So I found what I could with the fdutils package, and eventually found a workaround including a requirement for manual (menu select) mount and manual (menu select) umount, thanks to helpful users in kubuntuforums.net.

I'm using Kubuntu 12.04 - which is a LTS release - and, yes, direct support for floppy drives is lacking. I realize that someone, apparently having a great deal of power, would rather say WORKFORME than to offer up a solution that might actually help those who otherwise like and enjoy the (alleged) stability and utility of a long term support Linux distro. At least an answer of WONTFIX would have been an honest, as well as consistent answer.

I'm glad it works in PJSingh5000's platform, and I look forward to a later Kubuntu LTS that actually works the way that Kubuntu used to work before floppies were randomly pushed aside. And that WORKS FOR ME. Thank you.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.